%define __libtoolize    /bin/true

%define _requires_exceptions devel\(libtwopigen\)\\|devel\(libgvrender\)\\|devel\(libcdt\)\\|devel\(libdotgen\)\\|devel\(libcommon\)\\|devel\(libpathplan\)\\|devel\(libneatogen\)\\|devel\(libcircogen\)\\|devel\(libgraph\)\\|devel\(libdotneato\)\\|devel\(libfdpgen\)\\|devel\(libpack\)

%define lib_name_orig %mklibname koffice
%define lib_major 2
%define lib_name %lib_name_orig%lib_major

%define lib_name_orig_kexi %mklibname kexi
%define lib_major_kexi 0
%define lib_name_kexi %lib_name_orig_kexi%lib_major_kexi

%define use_enable_final 0
%define use_python 1

%define compile_apidox 0

%define krita_kjs_compile 0

%define unstable 0
%define subrel   3

Name:		koffice
URL:		http://www.koffice.org/
Summary:	Set of office applications for KDE
Version:        1.6.3
Release:        %mkrel 9
Epoch:		11
Source:         %name-%version.tar.bz2
Patch0:         koffice-1.6.2-fix-desktopfiles.patch
Patch1:         koffice-xpdf-CVE-2007-3387.diff
Patch2:         koffice-1.6.3-xpdf2-CVE-2007-4352-5392-5393.diff
Patch3:         koffice-1.6.3-incremental-patch-for-1.1.3.patch
Group:		Office
License:	GPL
BuildRoot:	%_tmppath/%name-%version-kde3-%release-root

BuildRequires:	libx11-devel	
BuildRequires:  libarts-devel 
BuildRequires:  db1-devel 
BuildRequires:  diffutils
BuildRequires:  freetype2-devel 
BuildRequires:  gettext
BuildRequires:  binutils-devel 
BuildRequires:  bzip2-devel
BuildRequires:  libjpeg-devel 
BuildRequires:  mng-devel 
BuildRequires:  png-devel
BuildRequires:  mktemp 
BuildRequires:  python-devel
BuildRequires:  readline-devel 
BuildRequires:  rpm-build 
BuildRequires:  texinfo 
BuildRequires:  zlib1-devel
BuildRequires:  libxslt-devel 
BuildRequires:  libxml2-devel >= 2.4.28-2mdk
BuildRequires:  kdelibs-devel >= 3.2-13mdk
BuildRequires:  wv2-devel
BuildRequires:  imagemagick-devel 
BuildRequires:  libjbig-devel
BuildRequires:  aspell-devel >= 0.50.2 
BuildRequires:  ruby-devel
BuildRequires:  libexif-devel 
BuildRequires:  libOpenEXR-devel 
BuildRequires:  postgresql-devel 
BuildRequires:  pqxx-devel
BuildRequires:  automake1.7
BuildRequires:  autoconf2.5
BuildRequires:  libart_lgpl-devel
BuildRequires:  mysql-devel
BuildRequires:  libwpd-devel
BuildRequires:  libpoppler-qt-devel
%if %krita_kjs_compile
BuildRequires:	kjsembed-devel
%else
BuildConflicts: kjsembed-devel
 %endif

%if %compile_apidox
BuildRequires: doxygen, graphviz
%endif

Conflicts:	koffice <= 1.3-10mdk


Requires:	%name-kword
Requires:	%name-kspread
Requires:	%name-karbon
Requires:	%name-kugar
Requires:	%name-kpresenter
Requires:	%name-kivio
Requires:	%name-kformula
Requires:	%name-koshell
Requires:	%name-kexi
Requires:	%name-krita
Requires:	%name-kplato

%description
Office applications for the K Desktop Environment.

KOffice contains:
   * KWord: word processor
   * KSpread: spreadsheet
   * KPresenter: presentations
   * KChart: diagram generator
   * Kugar: A tool for generating business quality reports.
   * Kivio: A Visio(r)-style flowcharting application.
   * Kexi: an integrated environment for managing data
   * Some filters (Excel 97, Winword 97/2000, etc.)
   * karbon: the scalable vector drawing application for KDE.
   * kformula:  a formula editor for KOffice.
   * krita: painting and image editing application.
   * koshell
   * kplato: a project management.

%files

#--------------------------------------------------------------------

%package progs
Group:		  Office
Summary:	  Set of office applications for KDE
Conflicts:	  %lib_name <= 1.3-10mdk
Obsoletes:	  %lib_name
Requires:         kdelibs >= 3.4
Requires:	  kghostview-lib
Requires:         %lib_name-progs = %epoch:%version-%release
Conflicts:        koffice <= %epoch:1.2.1-9mdk
Conflicts:	  kexi <= 0.1-0.beta4.3mdk
Requires:	  wordnet
Requires(post):   desktop-file-utils
Requires(postun): desktop-file-utils
Requires:         koffice-l10n


%description progs
Libraries file for Koffice

%post progs
/sbin/ldconfig
%update_menus

%postun progs
/sbin/ldconfig
%clean_menus

%files progs
%defattr(-,root,root)
%dir %_docdir/HTML/
%dir %_docdir/HTML/en/
%doc %_docdir/HTML/en/koffice/TODO

%_bindir/koconverter
%_bindir/kthesaurus

%_libdir/kde3/kthesaurus.la
%_libdir/kde3/kthesaurus.so
%_libdir/kde3/kfile_abiword.la
%_libdir/kde3/kfile_abiword.so
%_libdir/kde3/kfile_gnumeric.la
%_libdir/kde3/kfile_gnumeric.so
%_libdir/kde3/clipartthumbnail.la
%_libdir/kde3/clipartthumbnail.so
%_libdir/kde3/kfile_koffice.la
%_libdir/kde3/kfile_koffice.so
%_libdir/kde3/kfile_ooo.la
%_libdir/kde3/kfile_ooo.so
%_libdir/kde3/kodocinfopropspage.so
%_libdir/kde3/kofficescan.la
%_libdir/kde3/kofficescan.so
%_libdir/kde3/kofficethumbnail.la
%_libdir/kde3/kofficethumbnail.so
%_libdir/kde3/libgenerickofilter.la
%_libdir/kde3/libgenerickofilter.so
%_libdir/kde3/libkfolatexexport.la
%_libdir/kde3/libkfolatexexport.so
%_libdir/kde3/libkfomathmlexport.la
%_libdir/kde3/libkfomathmlexport.so
%_libdir/kde3/libkfomathmlimport.la
%_libdir/kde3/libkfomathmlimport.so
%_libdir/kde3/libkfopngexport.la
%_libdir/kde3/libkfopngexport.so
%_libdir/kde3/libkounavailpart.so
%_libdir/kde3/libthesaurustool.la
%_libdir/kde3/libthesaurustool.so
%_libdir/kde3/libxsltexport.la
%_libdir/kde3/libxsltexport.so
%_libdir/kde3/libxsltimport.la
%_libdir/kde3/libxsltimport.so
%_libdir/kde3/krosskexiapp.la
%_libdir/kde3/krosskexiapp.so
%_libdir/kde3/krosskexidb.la
%_libdir/kde3/krosskexidb.so
%_libdir/kde3/krosskritacore.la
%_libdir/kde3/krosskritacore.so
%_libdir/kde3/krosspython.la
%_libdir/kde3/krosspython.so
%_libdir/kde3/krossruby.la
%_libdir/kde3/krossruby.so
%_libdir/kde3/kodocinfopropspage.la
%_libdir/kde3/libkounavailpart.la

%dir %_docdir/HTML/en/thesaurus
%doc %_docdir/HTML/en/thesaurus/common
%doc %_docdir/HTML/en/thesaurus/*.bz2
%doc %_docdir/HTML/en/thesaurus/*.docbook

%dir %_docdir/HTML/en/koffice/
%doc %_docdir/HTML/en/koffice/*.odt
%doc %_docdir/HTML/en/koffice/common
%doc %_docdir/HTML/en/koffice/*.bz2
%doc %_docdir/HTML/en/koffice/*.docbook
%doc %_docdir/HTML/en/koffice/koffice.desktop

%_datadir/applnk/Office/KThesaurus.desktop
%_datadir/applications/kde/koffice.desktop

%dir %_datadir/apps/koffice/
%_datadir/apps/koffice/*.rc

%dir %_datadir/apps/koffice/hyphdicts
%_datadir/apps/koffice/hyphdicts/*.dic
%_datadir/apps/koffice/hyphdicts/*.xml

%dir %_datadir/apps/koffice/autocorrect/
%_datadir/apps/koffice/autocorrect/*.xml

%dir %_datadir/apps/koffice/pics/
%_datadir/apps/koffice/pics/*.png

%dir %_datadir/apps/koffice/icons/
%dir %_datadir/apps/koffice/icons/crystalsvg/
%dir %_datadir/apps/koffice/icons/crystalsvg/16x16/
%dir %_datadir/apps/koffice/icons/crystalsvg/16x16/actions/
%_datadir/apps/koffice/icons/crystalsvg/16x16/actions/*.png
%dir %_datadir/apps/koffice/icons/crystalsvg/22x22/
%dir %_datadir/apps/koffice/icons/crystalsvg/22x22/actions/
%_datadir/apps/koffice/icons/crystalsvg/22x22/actions/*.png

%dir %_datadir/apps/koffice/icons/crystalsvg/32x32/
%dir %_datadir/apps/koffice/icons/crystalsvg/32x32/actions/

%dir %_datadir/apps/koffice/icons/crystalsvg/48x48/actions/
%_datadir/apps/koffice/icons/crystalsvg/48x48/actions/*.png


%_datadir/apps/koffice/icons/crystalsvg/16x16/apps/go.png
%_datadir/apps/koffice/icons/crystalsvg/16x16/apps/key_bindings.png
%_datadir/apps/koffice/icons/crystalsvg/16x16/apps/style.png
%_datadir/apps/koffice/icons/crystalsvg/32x32/actions/*.png
%_datadir/apps/koffice/icons/crystalsvg/32x32/apps/go.png
%_datadir/apps/koffice/icons/crystalsvg/48x48/apps/key_bindings.png

%_datadir/icons/hicolor/128x128/apps/krita.png
%_datadir/icons/hicolor/16x16/apps/karbon.png
%_datadir/icons/hicolor/16x16/apps/kchart.png
%_datadir/icons/hicolor/16x16/apps/kexi.png
%_datadir/icons/hicolor/16x16/apps/kformula.png
%_datadir/icons/hicolor/16x16/apps/kivio.png
%_datadir/icons/hicolor/16x16/apps/kpresenter.png
%_datadir/icons/hicolor/16x16/apps/krita.png
%_datadir/icons/hicolor/16x16/apps/kspread.png
%_datadir/icons/hicolor/16x16/apps/kugar.png
%_datadir/icons/hicolor/16x16/apps/kword.png
%_datadir/icons/hicolor/22x22/apps/karbon.png
%_datadir/icons/hicolor/22x22/apps/kexi.png
%_datadir/icons/hicolor/22x22/apps/kformula.png
%_datadir/icons/hicolor/22x22/apps/kivio.png
%_datadir/icons/hicolor/22x22/apps/kpresenter.png
%_datadir/icons/hicolor/22x22/apps/krita.png
%_datadir/icons/hicolor/22x22/apps/kspread.png
%_datadir/icons/hicolor/22x22/apps/kugar.png
%_datadir/icons/hicolor/22x22/apps/kword.png
%_datadir/icons/hicolor/32x32/apps/karbon.png
%_datadir/icons/hicolor/32x32/apps/kchart.png
%_datadir/icons/hicolor/32x32/apps/kexi.png
%_datadir/icons/hicolor/32x32/apps/kformula.png
%_datadir/icons/hicolor/32x32/apps/kivio.png
%_datadir/icons/hicolor/32x32/apps/kpresenter.png
%_datadir/icons/hicolor/32x32/apps/krita.png
%_datadir/icons/hicolor/32x32/apps/kspread.png
%_datadir/icons/hicolor/32x32/apps/kugar.png
%_datadir/icons/hicolor/32x32/apps/kword.png
%_datadir/icons/hicolor/48x48/apps/karbon.png
%_datadir/icons/hicolor/48x48/apps/kchart.png
%_datadir/icons/hicolor/48x48/apps/kexi.png
%_datadir/icons/hicolor/48x48/apps/kformula.png
%_datadir/icons/hicolor/48x48/apps/kivio.png
%_datadir/icons/hicolor/48x48/apps/kpresenter.png
%_datadir/icons/hicolor/48x48/apps/krita.png
%_datadir/icons/hicolor/48x48/apps/kspread.png
%_datadir/icons/hicolor/48x48/apps/kugar.png
%_datadir/icons/hicolor/48x48/apps/kword.png
%_datadir/icons/hicolor/64x64/apps/krita.png
%_datadir/icons/hicolor/scalable/apps/karbon.svgz
%_datadir/icons/hicolor/scalable/apps/kexi.svgz
%_datadir/templates/.source/SpreadSheet.kst


%dir %_datadir/apps/koffice/icons/crystalsvg/scalable/actions/
%_datadir/apps/koffice/icons/crystalsvg/scalable/actions/*.svgz

%dir %_datadir/apps/xsltfilter/
%dir %_datadir/apps/xsltfilter/export/
%dir %_datadir/apps/xsltfilter/export/kword/
%dir %_datadir/apps/xsltfilter/export/kword/xslfo/
%_datadir/apps/xsltfilter/export/kword/xslfo/*.xsl

%dir %_datadir/apps/thesaurus/
%_datadir/apps/thesaurus/*.txt

%dir %_iconsdir/locolor/
%dir %_iconsdir/locolor/16x16/
%dir %_iconsdir/locolor/16x16/apps/
%_iconsdir/locolor/16x16/apps/*.png

%dir %_iconsdir/locolor/32x32/
%dir %_iconsdir/locolor/32x32/apps/
%_iconsdir/locolor/32x32/apps/*.png

%dir %_iconsdir/crystalsvg/

%dir %_iconsdir/crystalsvg/16x16/

%dir %_iconsdir/crystalsvg/16x16/actions/
%_iconsdir/crystalsvg/16x16/actions/*.png

%dir %_iconsdir/crystalsvg/16x16/mimetypes/
%_iconsdir/crystalsvg/16x16/mimetypes/*.png

%dir %_iconsdir/crystalsvg/22x22/
%dir %_iconsdir/crystalsvg/22x22/actions/
%_iconsdir/crystalsvg/22x22/actions/*.png

%dir %_iconsdir/crystalsvg/32x32/
%dir %_iconsdir/crystalsvg/32x32/actions/
%_iconsdir/crystalsvg/32x32/actions/*.png
%dir %_iconsdir/crystalsvg/32x32/mimetypes/
%_iconsdir/crystalsvg/32x32/mimetypes/*.png

%_datadir/services/clipartthumbnail.desktop
%_datadir/services/generic_filter.desktop
%_datadir/services/kfile_koffice.desktop
%_datadir/services/kfile_ooo.desktop
%_datadir/services/kformula_latex_export.desktop
%_datadir/services/kformula_mathml_export.desktop
%_datadir/services/kformula_mathml_import.desktop
%_datadir/services/kformula_png_export.desktop
%_datadir/services/kformulapart.desktop
%_datadir/services/kodocinfopropspage.desktop
%_datadir/services/kofficethumbnail.desktop
%_datadir/services/kounavail.desktop
%_datadir/services/thesaurustool.desktop
%_datadir/services/xslt_export.desktop
%_datadir/services/xslt_import.desktop

%dir %_datadir/servicetypes/
%_datadir/servicetypes/kochart.desktop
%_datadir/servicetypes/kofficepart.desktop
%_datadir/servicetypes/kofilter.desktop
%_datadir/servicetypes/kofilterwrapper.desktop
%_datadir/servicetypes/koplugin.desktop

%dir %_datadir/apps/konqueror/servicemenus/
%_datadir/apps/konqueror/servicemenus/*.desktop
						
%_datadir/apps/kross/python/RestrictedPython/*.py

%_datadir/apps/kross/python/gui.py

%dir %_datadir/templates/
%_datadir/templates/Illustration.desktop  
%_datadir/templates/SpreadSheet.desktop
%_datadir/templates/Presentation.desktop  
%_datadir/templates/TextDocument.desktop

%dir %_datadir/templates/.source/
%_datadir/templates/.source/Presentation.kpt  
%_datadir/templates/.source/TextDocument.kwt
%_datadir/templates/.source/Illustration.karbon

%_datadir/apps/kchart/icons/crystalsvg/32x32/actions/*.png

%_datadir/apps/kofficewidgets/pics/*.png

%_datadir/services/kfile_abiword.desktop
%_datadir/services/kfile_gnumeric.desktop

#--------------------------------------------------------------------

%package -n %lib_name-progs
Group:		Development/KDE and Qt
Summary:	Libraries files for Koffice
Conflicts:	%lib_name <= 1.3-10mdk
Obsoletes:	%lib_name
Conflicts:      koffice <= %epoch:1.2.1-9mdk
Conflicts:      %lib_name-kexi < %epoch:1.6.3-2
Conflicts:      %lib_name-kformula < %epoch:1.6.3-2
Conflicts:      %lib_name-krita < %epoch:1.6.3-2
Conflicts:      %lib_name-kspread < %epoch:1.6.3-2

%description -n %lib_name-progs
Libraries file for Koffice

%post -n %lib_name-progs -p /sbin/ldconfig
%postun -n %lib_name-progs -p /sbin/ldconfig


%files -n %lib_name-progs
%defattr(-,root,root)

%_libdir/libkrossapi.la
%_libdir/libkrossapi.so.*
%_libdir/libkstore.la
%_libdir/libkwmf.la
%_libdir/libkofficecore.la
%_libdir/libkofficeui.la
%_libdir/libkotext.la
%_libdir/libkopainter.la
%_libdir/libkochart.la
%_libdir/libkowmf.la
%_libdir/libkdeinit_kthesaurus.la
%_libdir/libkdeinit_kthesaurus.so
%_libdir/libkopalette.la
%_libdir/libkopalette.so.*
%_libdir/libkofficecore.so.*
%_libdir/libkofficeui.so.*
%_libdir/libkotext.so.*
%_libdir/libkopainter.so.*
%_libdir/libkochart.so.*
%_libdir/libkstore.so.*
%_libdir/libkwmf.so.*
%_libdir/libkowmf.so.*
%_libdir/libkformulalib.la
%_libdir/libkformulalib.so.*
%_libdir/libkoproperty.la
%_libdir/libkoproperty.so.*
%_libdir/libkexiutils.la
%_libdir/libkexiutils.so.*
%_libdir/libkexidbparser.la
%_libdir/libkexidbparser.so.*
%_libdir/libkritacolor.la
%_libdir/libkritacolor.so.*
%_libdir/libkritacommon.so.*
%_libdir/libkritacommon.la
%_libdir/libkritaimage.la
%_libdir/libkritaimage.so.*
%_libdir/libkritascripting.la
%_libdir/libkritascripting.so.*
%_libdir/libkritaui.la
%_libdir/libkritaui.so.*
%_libdir/libkexicore.la
%_libdir/libkexicore.so.*
%_libdir/libkexidb.la
%_libdir/libkexidb.so.*
%_libdir/libkrossmain.la
%_libdir/libkrossmain.so.*
%_libdir/libkspreadcommon.la
%_libdir/libkspreadcommon.so.*

#--------------------------------------------------------------------

%package -n %lib_name-progs-devel
Group:		Development/KDE and Qt
Summary:	Header files for developing koffice applications
Requires:      %lib_name-progs = %epoch:%{version}-%{release}
Obsoletes:     koffice-devel
Provides:      %name-devel = %epoch:%version-%release
Conflicts:	%lib_name-devel <= 1.3-10mdk
Obsoletes:	%lib_name-devel
Conflicts:  koffice <= %epoch:1.2.1-9mdk

%description -n %lib_name-progs-devel
Header files needed for developing koffice applications.

%post -n %lib_name-progs-devel -p /sbin/ldconfig
%postun -n %lib_name-progs-devel -p /sbin/ldconfig

%files -n %lib_name-progs-devel
%defattr(-,root,root)
%_includedir/KoBrush.h
%_includedir/KoGeneralPropertyUi.h
%_includedir/KoOasisLoadingContext.h
%_includedir/KoPageLayoutColumns.h
%_includedir/KoPageLayoutHeader.h
%_includedir/KoPageLayoutSize.h
%_includedir/KoPen.h
%_includedir/KoSpeaker.h
%_includedir/KoStore.h
%_includedir/KoStoreDevice.h
%_includedir/KoXmlWriter.h
%_includedir/KoZoomMode.h
%_includedir/kobirdeyepanel.h
%_includedir/kkbdaccessextensions.h
%_includedir/kopalettemanager.h
%_includedir/KoApplication.h
%_includedir/KoCharSelectDia.h
%_includedir/KoChild.h
%_includedir/KoCommandHistory.h
%_includedir/KoContainerHandler.h
%_includedir/KoContextCelp.h
%_includedir/KoDocument.h
%_includedir/KoDocumentChild.h
%_includedir/KoDocumentInfo.h
%_includedir/KoDocumentInfoDlg.h
%_includedir/KoDom.h
%_includedir/KoEditPath.h
%_includedir/KoFactory.h
%_includedir/KoFilter.h
%_includedir/KoFilterChain.h
%_includedir/KoFilterManager.h
%_includedir/KoFrame.h
%_includedir/KoGenStyles.h
%_includedir/KoGlobal.h
%_includedir/KoGuideLineDia.h
%_includedir/KoGuides.h
%_includedir/KoImageResource.h
%_includedir/KoInsertLink.h
%_includedir/KoKoolBar.h
%_includedir/KoMainWindow.h
%_includedir/KoOasisSettings.h
%_includedir/KoOasisStyles.h
%_includedir/KoOpenPane.h
%_includedir/KoPageLayout.h
%_includedir/KoPageLayoutDia.h
%_includedir/KoPartSelectAction.h
%_includedir/KoPartSelectDia.h
%_includedir/KoPicture.h
%_includedir/KoPictureCollection.h
%_includedir/KoPictureFilePreview.h
%_includedir/KoPictureKey.h
%_includedir/KoPoint.h
%_includedir/KoQueryTrader.h
%_includedir/KoRuler.h
%_includedir/KoSelectAction.h
%_includedir/KoStyleStack.h
%_includedir/KoTabBar.h
%_includedir/KoTabChooser.h
%_includedir/KoTemplateChooseDia.h
%_includedir/KoTemplateCreateDia.h
%_includedir/KoTooluButton.h
%_includedir/KoUnit.h
%_includedir/KoUnitWidgets.h
%_includedir/KoView.h
%_includedir/KoXmlNS.h
%_includedir/KoZoomAction.h
%_includedir/KoZoomHandler.h
%_includedir/Kolinestyleaction.h
%_includedir/Kolinewidthaction.h
%_includedir/Koversiondialog.h
%_includedir/KoApplicationIface.h
%_includedir/KoDocumentIface.h
%_includedir/KoMainWindowIface.h
%_includedir/KoViewIface.h
%_includedir/kcoloractions.h
%_includedir/koChart.h
%_includedir/kofficeversion.h
%_includedir/tkaction.h
%_includedir/tkcoloractions.h
%_includedir/tkcombobox.h
%_includedir/tktoolbarbutton.h
%_includedir/koffice_export.h
%_includedir/kross/api/*.h
%_includedir/kross/main/*.h

%_libdir/libkowmf.so
%_libdir/libkstore.so
%_libdir/libkwmf.so
%_libdir/libkochart.so
%_libdir/libkrossapi.so
%_libdir/libkrossmain.so
%_libdir/libkofficecore.so
%_libdir/libkofficeui.so
%_libdir/libkotext.so
%_libdir/libkopainter.so
%_libdir/libkopalette.so

%if %compile_apidox
%dir %_docdir/HTML/en/koffice-apidocs/lib/
%dir %_docdir/HTML/en/koffice-apidocs/lib/html/

%doc %_docdir/HTML/en/koffice-apidocs/lib/html/*.html
%doc %_docdir/HTML/en/koffice-apidocs/lib/html/installdox
%doc %_docdir/HTML/en/koffice-apidocs/lib/html/*.png
%doc %_docdir/HTML/en/koffice-apidocs/lib/html/*.css
%doc %_docdir/HTML/en/koffice-apidocs/lib/html/*.md5
%doc %_docdir/HTML/en/koffice-apidocs/lib/html/*.map
%doc %_docdir/HTML/en/koffice-apidocs/lib/html/*.dot
%doc %_docdir/HTML/en/koffice-apidocs/lib/*.tag
%endif

#--------------------------------------------------------------------

%package kword
Summary:	Word processor for koffice.
Group:		Graphical desktop/KDE
Requires:	koffice-progs = %epoch:%version-%release
Requires:	%lib_name-kword = %epoch:%version-%release
URL:            http://www.koffice.org/
Provides:	kword
Conflicts:  koffice <= %epoch:1.2.1-9mdk
Requires:	wordnet
Requires:   %name-kformula
Provides:	%name-apps

%description kword
Kword is a word processor for kde project

%post kword
/sbin/ldconfig
%update_menus
%{update_desktop_database}

%postun kword
/sbin/ldconfig
%clean_menus
%{clean_desktop_database}

%files kword
%defattr(-,root,root)
%_bindir/kword

%_datadir/applications/kde/kword.desktop
%_datadir/services/kword_wp_import.desktop
%_datadir/apps/kword/dtd/*.dtd
%_datadir/apps/kword/icons/crystalsvg/22x22/actions/*.png
%_datadir/apps/kword/icons/crystalsvg/128x128/actions/template_colorful.png
%_datadir/apps/kword/templates/Normal/.source/*.odt
%_datadir/services/kword_hancomword_import.desktop

%dir %_datadir/apps/kword/
%_datadir/apps/kword/*.rc
%_datadir/apps/kword/*.xml

%dir %_datadir/apps/kword/expression/
%_datadir/apps/kword/expression/*.xml

%_datadir/apps/kword/icons/crystalsvg/48x48/actions/*.png
%_datadir/apps/kword/icons/crystalsvg/scalable/actions/*.svgz

%dir %_datadir/apps/kword/kpartplugins/
%_datadir/apps/kword/kpartplugins/*.rc

%dir %_datadir/apps/kword/templates/

%dir %_datadir/apps/kword/templates/Normal/
%_datadir/apps/kword/templates/Normal/.directory
%_datadir/apps/kword/templates/Normal/*.desktop

%dir %_datadir/apps/kword/templates/Normal/.source/
%_datadir/apps/kword/templates/Normal/.source/*.kwt

%dir %_datadir/apps/kword/templates/CardsAndLabels/
%_datadir/apps/kword/templates/CardsAndLabels/.directory
%_datadir/apps/kword/templates/CardsAndLabels/*.desktop
%dir %_datadir/apps/kword/templates/CardsAndLabels/.source/
%_datadir/apps/kword/templates/CardsAndLabels/.source/*.kwt

%dir %_datadir/apps/kword/templates/Envelopes/
%_datadir/apps/kword/templates/Envelopes/.directory
%_datadir/apps/kword/templates/Envelopes/*.desktop
%dir %_datadir/apps/kword/templates/Envelopes/.source/
%_datadir/apps/kword/templates/Envelopes/.source/*.kwt

%dir %_datadir/services/
%_datadir/services/kwordpart.desktop
%_datadir/services/kwserialletter_classic.desktop
%_datadir/services/kwserialletter_qtsqldb_power.desktop
%_datadir/services/kword_abiword_export.desktop
%_datadir/services/kword_abiword_import.desktop
%_datadir/services/kword_amipro_export.desktop
%_datadir/services/kword_amipro_import.desktop
%_datadir/services/kword_applixword_import.desktop
%_datadir/services/kword_ascii_export.desktop
%_datadir/services/kword_ascii_import.desktop
%_datadir/services/kword_docbook_export.desktop
%_datadir/services/kword_html_export.desktop
%_datadir/services/kword_html_import.desktop
%_datadir/services/kword_latex_export.desktop
%_datadir/services/kword_msword_import.desktop
%_datadir/services/kword_mswrite_export.desktop
%_datadir/services/kword_mswrite_import.desktop
%_datadir/services/kword_oowriter_export.desktop
%_datadir/services/kword_oowriter_import.desktop
%_datadir/services/kword_palmdoc_export.desktop
%_datadir/services/kword_palmdoc_import.desktop
%_datadir/services/kword_pdf_import.desktop
%_datadir/services/kword_rtf_export.desktop
%_datadir/services/kword_rtf_import.desktop
%_datadir/services/kword_wml_export.desktop
%_datadir/services/kword_wml_import.desktop
%_datadir/services/kword_wp_export.desktop
%_datadir/services/kwmailmerge_kabc.desktop
%_datadir/services/kwmailmerge_kspread.desktop
%_datadir/services/kword_kword1dot3_import.desktop

%_libdir/kde3/libkwordkword1dot3import.la
%_libdir/kde3/libkwordkword1dot3import.so
%_libdir/kde3/kwmailmerge_classic.la*
%_libdir/kde3/kwmailmerge_classic.so*
%_libdir/kde3/kwmailmerge_qtsqldb.la*
%_libdir/kde3/kwmailmerge_qtsqldb.so*
%_libdir/kde3/kwmailmerge_qtsqldb_power.la*
%_libdir/kde3/kwmailmerge_qtsqldb_power.so*
%_libdir/kde3/libkwordpart.la*
%_libdir/kde3/libkwordpart.so*
%_libdir/kde3/libabiwordexport.la*
%_libdir/kde3/libabiwordexport.so*
%_libdir/kde3/libabiwordimport.la*
%_libdir/kde3/libabiwordimport.so*
%_libdir/kde3/libamiproexport.la*
%_libdir/kde3/libamiproexport.so*
%_libdir/kde3/libamiproimport.la*
%_libdir/kde3/libamiproimport.so*
%_libdir/kde3/libapplixwordimport.la*
%_libdir/kde3/libapplixwordimport.so*
%_libdir/kde3/libasciiexport.la*
%_libdir/kde3/libasciiexport.so*
%_libdir/kde3/libasciiimport.la*
%_libdir/kde3/libasciiimport.so*
%_libdir/kde3/libdocbookexport.la*
%_libdir/kde3/libdocbookexport.so*
%_libdir/kde3/libhtmlexport.la*
%_libdir/kde3/libhtmlexport.so*
%_libdir/kde3/libhtmlimport.la*
%_libdir/kde3/libhtmlimport.so*
%_libdir/kde3/libkwordlatexexport.la*
%_libdir/kde3/libkwordlatexexport.so*
%_libdir/kde3/libmswordimport.la*
%_libdir/kde3/libmswordimport.so*
%_libdir/kde3/libmswriteexport.la*
%_libdir/kde3/libmswriteexport.so*
%_libdir/kde3/libmswriteimport.la*
%_libdir/kde3/libmswriteimport.so*
%_libdir/kde3/liboowriterexport.la*
%_libdir/kde3/liboowriterexport.so*
%_libdir/kde3/liboowriterimport.la*
%_libdir/kde3/liboowriterimport.so*
%_libdir/kde3/libpalmdocexport.la*
%_libdir/kde3/libpalmdocexport.so*
%_libdir/kde3/libpalmdocimport.la*
%_libdir/kde3/libpalmdocimport.so*
%_libdir/kde3/librtfexport.la*
%_libdir/kde3/librtfexport.so*
%_libdir/kde3/librtfimport.la*
%_libdir/kde3/librtfimport.so*
%_libdir/kde3/libwmlexport.la*
%_libdir/kde3/libwmlexport.so*
%_libdir/kde3/libwmlimport.la*
%_libdir/kde3/libwmlimport.so*
%_libdir/kde3/libwpexport.la*
%_libdir/kde3/libwpexport.so*
%_libdir/kde3/kwmailmerge_kabc.la
%_libdir/kde3/kwmailmerge_kabc.so
%_libdir/kde3/kwmailmerge_kspread.la
%_libdir/kde3/kwmailmerge_kspread.so
%_libdir/kde3/kword.la
%_libdir/kde3/kword.so
%_libdir/kde3/libpdfimport.la*
%_libdir/kde3/libpdfimport.so*
%_libdir/kde3/libwpimport.la
%_libdir/kde3/libwpimport.so
%_libdir/libkdeinit_kword.la
%_libdir/libkdeinit_kword.so

%dir %_datadir/servicetypes/
%_datadir/servicetypes/kwmailmerge.desktop

%dir %_docdir/HTML/en/kword/
%doc %_docdir/HTML/en/kword/common
%doc %_docdir/HTML/en/kword/*.bz2
%doc %_docdir/HTML/en/kword/*.docbook
%doc %_docdir/HTML/en/kword/*.png

#--------------------------------------------------------------------

%package -n %lib_name-kword
Group:		Development/KDE and Qt
Summary:	Libraries files for KWord
Conflicts:	koffice <= %epoch:1.2.1-9mdk

%description -n %lib_name-kword
Libraries file for KWord

%post -n %lib_name-kword -p /sbin/ldconfig
%postun -n %lib_name-kword -p /sbin/ldconfig

%files -n %lib_name-kword
%defattr(-,root,root)

%_libdir/libkwordexportfilters.la
%_libdir/libkwordexportfilters.so.*
%_libdir/libkwmailmerge_interface.la   
%_libdir/libkwmailmerge_interface.so.*
%_libdir/libkwordprivate.la
%_libdir/libkwordprivate.so.*

#--------------------------------------------------------------------

%package -n %lib_name-kword-devel
Group:		Development/KDE and Qt
Summary:	Header files for kword
Requires:     	%name-progs = %epoch:%{version}-%{release}
Requires:      %lib_name-kword-devel = %epoch:%{version}-%{release}

Provides:      kword-devel = %epoch:%version-%release
Conflicts:  koffice <= %epoch:1.2.1-9mdk

%description -n %lib_name-kword-devel
Header files needed for developing kword.

%post -n %lib_name-kword-devel -p /sbin/ldconfig
%postun -n %lib_name-kword-devel -p /sbin/ldconfig

%files -n %lib_name-kword-devel
%defattr(-,root,root)
%_libdir/libkwmailmerge_interface.so
%_libdir/libkwordexportfilters.so
%_libdir/libkwordprivate.so

%dir %_includedir/kword/
%_includedir/kword/KWMailMergeDataSource.h

#--------------------------------------------------------------------

%package kplato
Summary:	A new project management application for koffice.
Group:		Graphical desktop/KDE
Requires:	koffice-progs = %epoch:%version-%release
Requires:	%lib_name-kword = %epoch:%version-%release
URL:            http://www.koffice.org/
Provides:	kplato
Conflicts:      koffice <= %epoch:1.2.1-9mdk
Provides:       %name-apps

%description kplato
A new project management application for koffice.

%post kplato
/sbin/ldconfig
%update_menus
%{update_desktop_database}

%postun kplato
/sbin/ldconfig
%clean_menus
%{update_desktop_database}


%files kplato
%defattr(-,root,root)
%_datadir/applications/kde/kplato.desktop

%_bindir/kplato

%_datadir/apps/kplato/icons/crystalsvg/22x22/actions/*.png
%_datadir/apps/kplato/icons/crystalsvg/48x48/actions/*.png
%_datadir/apps/kplato/icons/crystalsvg/scalable/actions/*.svgz
%_datadir/apps/kplato/kplato.rc
%_datadir/apps/kplato/kplato_readonly.rc

%_datadir/apps/kplato/reports/.source/*.ktf
%_datadir/apps/kplato/reports/*.desktop

%dir %_datadir/apps/kplato/templates/
%dir %_datadir/apps/kplato/templates/Simple/
%_datadir/apps/kplato/templates/Simple/.directory
%_datadir/apps/kplato/templates/Simple/.source/8HourDay-40HourWeek.kplatot
%_datadir/apps/kplato/templates/Simple/.source/Plain.kplatot
%_datadir/apps/kplato/templates/Simple/*.desktop

%dir %_docdir/HTML/en/kplato/
%doc %_docdir/HTML/en/kplato/common
%doc %_docdir/HTML/en/kplato/*.bz2
%doc %_docdir/HTML/en/kplato/*.docbook
%doc %_docdir/HTML/en/kplato/*.png

%_datadir/icons/crystalsvg/128x128/apps/kplato.png
%_datadir/icons/crystalsvg/16x16/apps/kplato.png
%_datadir/icons/crystalsvg/22x22/apps/kplato.png
%_datadir/icons/crystalsvg/32x32/apps/kplato.png
%_datadir/icons/crystalsvg/48x48/apps/kplato.png
%_datadir/icons/crystalsvg/64x64/apps/kplato.png
%_datadir/icons/crystalsvg/scalable/apps/kplato.svgz

%_libdir/kde3/kplato.la
%_libdir/kde3/kplato.so
%_libdir/kde3/libkplatopart.la
%_libdir/kde3/libkplatopart.so

%_datadir/services/kplatopart.desktop

#--------------------------------------------------------------------

%package -n %lib_name-kplato
Group:		Development/KDE and Qt
Summary:	Libraries files for KPlato
Conflicts:	koffice <= %epoch:1.2.1-9mdk

%description -n %lib_name-kplato
Libraries file for KPlato

%post -n %lib_name-kplato -p /sbin/ldconfig
%postun -n %lib_name-kplato -p /sbin/ldconfig


%files -n %lib_name-kplato
%defattr(-,root,root)
%_libdir/libkdeinit_kplato.la
%_libdir/libkdeinit_kplato.so

#--------------------------------------------------------------------


%package kspread
Summary:	SpreadSheet for koffice.
Group:		Graphical desktop/KDE
Requires:	%name-progs = %epoch:%version-%release
Requires:	%lib_name-kspread = %epoch:%version-%release
URL:        http://www.koffice.org/
Provides:	kspread
Conflicts:  koffice <= %epoch:1.2.1-9mdk
Provides:   %name-apps

%description kspread
KSpread is a spreadsheet for kde project

%post kspread
/sbin/ldconfig
%update_menus
%{update_desktop_database}


%postun kspread
/sbin/ldconfig
%clean_menus
%{clean_desktop_database}

%files kspread
%defattr(-,root,root)
%_bindir/kspread
%_bindir/kchart

%_libdir/kde3/krosskspreadcore.la
%_libdir/kde3/krosskspreadcore.so
%_libdir/kde3/kspreadscripting.la
%_libdir/kde3/kspreadscripting.so
%_libdir/kde3/libexcelimport.la
%_libdir/kde3/libexcelimport.so
%_libdir/kde3/libkspreadpart.la*
%_libdir/kde3/libkspreadpart.so*
%_libdir/kde3/libkchartpart.la*
%_libdir/kde3/libkchartpart.so*
%_libdir/kde3/libapplixspreadimport.la*
%_libdir/kde3/libapplixspreadimport.so*
%_libdir/kde3/libcsvexport.la*
%_libdir/kde3/libcsvexport.so*
%_libdir/kde3/libcsvimport.la*
%_libdir/kde3/libcsvimport.so*
%_libdir/kde3/libdbaseimport.la*
%_libdir/kde3/libdbaseimport.so*
%_libdir/kde3/libgnumericexport.la*
%_libdir/kde3/libgnumericexport.so*
%_libdir/kde3/libgnumericimport.la*
%_libdir/kde3/libgnumericimport.so*
%_libdir/kde3/libkspreadhtmlexport.la*
%_libdir/kde3/libkspreadhtmlexport.so*
%_libdir/kde3/libkspreadlatexexport.la*
%_libdir/kde3/libkspreadlatexexport.so*
%_libdir/kde3/libopencalcexport.la*
%_libdir/kde3/libopencalcexport.so*
%_libdir/kde3/libopencalcimport.la*
%_libdir/kde3/libopencalcimport.so*
%_libdir/kde3/libqproimport.la*
%_libdir/kde3/libqproimport.so*
%_libdir/kde3/libhancomwordimport.la
%_libdir/kde3/libhancomwordimport.so
%_libdir/kde3/libkchartbmpexport.la
%_libdir/kde3/libkchartbmpexport.so
%_libdir/kde3/libkchartjpegexport.la
%_libdir/kde3/libkchartjpegexport.so
%_libdir/kde3/libkchartmngexport.la
%_libdir/kde3/libkchartmngexport.so
%_libdir/kde3/libkchartxbmexport.la
%_libdir/kde3/libkchartxbmexport.so
%_libdir/kde3/libkchartxpmexport.la
%_libdir/kde3/libkchartxpmexport.so
%_libdir/kde3/kspread.la
%_libdir/kde3/kspread.so
%_libdir/kde3/libkchartpngexport.la
%_libdir/kde3/libkchartpngexport.so
%_libdir/kde3/libkchartsvgexport.la
%_libdir/kde3/libkchartsvgexport.so
%_libdir/kde3/libkspreadinsertcalendar.la
%_libdir/kde3/libkspreadinsertcalendar.so
%_libdir/kde3/kchart.la
%_libdir/kde3/kchart.so

%_datadir/apps/kspread/icons/crystalsvg/16x16/actions/mergecell/horizontal.png
%_datadir/apps/kspread/icons/crystalsvg/16x16/actions/mergecell/vertical.png
%_datadir/apps/kspread/icons/crystalsvg/22x22/actions/mergecell/horizontal.png
%_datadir/apps/kspread/icons/crystalsvg/22x22/actions/mergecell/vertical.png

%_datadir/apps/kspread/sheetstyles/*.xml
%_datadir/apps/kspread/sheetstyles/*.ksts
%_datadir/apps/kspread/sheetstyles/*.png

%_datadir/services/kspread_excel_import.desktop

%_datadir/services/kchart_bmp_export.desktop
%_datadir/services/kchart_jpeg_export.desktop
%_datadir/services/kchart_mng_export.desktop
%_datadir/services/kchart_xbm_export.desktop
%_datadir/services/kchart_xpm_export.desktop

%_datadir/services/kchartpart.desktop
%_datadir/services/kspreadpart.desktop


%dir %_docdir/HTML/en/kspread/
%doc %_docdir/HTML/en/kspread/common
%doc %_docdir/HTML/en/kspread/*.bz2
%doc %_docdir/HTML/en/kspread/*.docbook
%doc %_docdir/HTML/en/kspread/*.png

%dir %_datadir/apps/kspread/
%_datadir/apps/kspread/*.rc
%dir %_datadir/apps/kspread/dtd/
%_datadir/apps/kspread/dtd/*
%dir %_datadir/apps/kspread/extensions/
%_datadir/apps/kspread/extensions/*
%dir %_datadir/apps/kspread/kpartplugins/
%_datadir/apps/kspread/kpartplugins/*.rc
%dir %_datadir/apps/kspread/templates/
%dir %_datadir/apps/kspread/templates/General/
%_datadir/apps/kspread/templates/General/.directory
%_datadir/apps/kspread/templates/General/*.desktop
%dir %_datadir/apps/kspread/templates/General/.source/
%_datadir/apps/kspread/templates/General/.source/*.kst

%dir %_datadir/apps/kspread/templates/Business/
%_datadir/apps/kspread/templates/Business/.directory
%_datadir/apps/kspread/templates/Business/*.desktop
%dir %_datadir/apps/kspread/templates/Business/.source/
%_datadir/apps/kspread/templates/Business/.source/*.kst

%dir %_datadir/apps/kspread/templates/HomeFamily/
%_datadir/apps/kspread/templates/HomeFamily/.directory
%_datadir/apps/kspread/templates/HomeFamily/*.desktop
%dir %_datadir/apps/kspread/templates/HomeFamily/.source/
%_datadir/apps/kspread/templates/HomeFamily/.source/*.kst

%dir %_datadir/apps/kspread/icons/
%dir %_datadir/apps/kspread/icons/crystalsvg/
%dir %_datadir/apps/kspread/icons/crystalsvg/16x16/
%dir %_datadir/apps/kspread/icons/crystalsvg/16x16/actions/
%_datadir/apps/kspread/icons/crystalsvg/16x16/actions/*.png

%dir %_datadir/apps/kspread/icons/crystalsvg/22x22/
%dir %_datadir/apps/kspread/icons/crystalsvg/22x22/actions/
%_datadir/apps/kspread/icons/crystalsvg/22x22/actions/*.png

%dir %_datadir/apps/kspread/icons/crystalsvg/32x32/
%dir %_datadir/apps/kspread/icons/crystalsvg/32x32/actions/
%_datadir/apps/kspread/icons/crystalsvg/32x32/actions/*.png

%_datadir/apps/kspread/icons/crystalsvg/48x48/actions/*.png
%_datadir/apps/kspread/icons/crystalsvg/scalable/actions/*.svgz

%dir %_datadir/apps/kchart/
%_datadir/apps/kchart/*.rc

%_datadir/services/kchart_png_export.desktop
%_datadir/services/kchart_svg_export.desktop

%dir %_datadir/apps/kchart/icons/
%dir %_datadir/apps/kchart/icons/locolor/
%dir %_datadir/apps/kchart/icons/locolor/16x16/
%dir %_datadir/apps/kchart/icons/locolor/16x16/actions/
%_datadir/apps/kchart/icons/locolor/16x16/actions/*.png

%dir %_datadir/apps/kchart/icons/crystalsvg/
%dir %_datadir/apps/kchart/icons/crystalsvg/16x16/
%dir %_datadir/apps/kchart/icons/crystalsvg/16x16/actions/
%_datadir/apps/kchart/icons/crystalsvg/16x16/actions/*.png

%dir %_datadir/apps/kchart/icons/crystalsvg/22x22/
%dir %_datadir/apps/kchart/icons/crystalsvg/22x22/actions/
%_datadir/apps/kchart/icons/crystalsvg/22x22/actions/*.png

%dir %_datadir/apps/kchart/icons/crystalsvg/32x32/
%dir %_datadir/apps/kchart/icons/crystalsvg/32x32/actions/

%_datadir/apps/kchart/icons/crystalsvg/48x48/actions/*.png
%_datadir/apps/kchart/icons/crystalsvg/scalable/actions/*.svgz
%_datadir/apps/kchart/templates/chart/.directory
%_datadir/apps/kchart/templates/chart/.source/BarChart.chrt
%_datadir/apps/kchart/templates/chart/.source/Empty.chrt
%_datadir/apps/kchart/templates/chart/BarChart.desktop
%_datadir/apps/kchart/templates/chart/Empty.desktop

%dir %_datadir/apps/kchart/pics/
%_datadir/apps/kchart/pics/*.png

%dir %_docdir/HTML/en/kchart/
%doc %_docdir/HTML/en/kchart/*.bz2
%doc %_docdir/HTML/en/kchart/*.png
%doc %_docdir/HTML/en/kchart/*.docbook
%doc %_docdir/HTML/en/kchart/common

%_datadir/applications/kde/kchart.desktop
%_datadir/applications/kde/kspread.desktop

%_datadir/services/kspread_applixspread_import.desktop
%_datadir/services/kspread_csv_export.desktop
%_datadir/services/kspread_csv_import.desktop
%_datadir/services/kspread_dbase_import.desktop
%_datadir/services/kspread_gnumeric_export.desktop
%_datadir/services/kspread_gnumeric_import.desktop
%_datadir/services/kspread_html_export.desktop
%_datadir/services/kspread_latex_export.desktop
%_datadir/services/kspread_opencalc_export.desktop
%_datadir/services/kspread_opencalc_import.desktop
%_datadir/services/kspread_qpro_import.desktop

%_datadir/apps/kspread/scripts/exporthtml/ExportHtml.py
%_datadir/apps/kspread/scripts/exporthtml/ExportHtml.rc
%_datadir/apps/kspread/scripts/scripteditor/ScriptEditor.py
%_datadir/apps/kspread/scripts/scripteditor/ScriptEditor.rc
%_datadir/services/kspreadscripting.desktop

#--------------------------------------------------------------------

%package -n %lib_name-kspread
Group:		Development/KDE and Qt
Summary:	Libraries files for KSpread
Conflicts:  koffice <= %epoch:1.2.1-9mdk

%description -n %lib_name-kspread
Libraries file for KSpread

%post -n %lib_name-kspread -p /sbin/ldconfig
%postun -n %lib_name-kspread -p /sbin/ldconfig

%files -n %lib_name-kspread
%defattr(-,root,root)

%_libdir/libkchartimageexport.la
%_libdir/libkchartimageexport.so.*
%_libdir/libkdchart.la
%_libdir/libkdchart.so.*
%_libdir/libkchartcommon.la
%_libdir/libkchartcommon.so.*
%_libdir/libkdeinit_kspread.la
%_libdir/libkdeinit_kspread.so
%_libdir/libkdeinit_kchart.la
%_libdir/libkdeinit_kchart.so

#--------------------------------------------------------------------

%package -n %lib_name-kspread-devel
Group:		Development/KDE and Qt
Summary:	Header files for kspread
Requires:      %lib_name-progs = %epoch:%{version}-%{release}
Requires:      %lib_name-kspread = %epoch:%{version}-%{release}
Provides:      %name-devel = %epoch:%version-%release
Conflicts:  koffice <= %epoch:1.2.1-9mdk

%description -n %lib_name-kspread-devel
Header files needed for developing kspread.

%post -n %lib_name-kspread-devel -p /sbin/ldconfig
%postun -n %lib_name-kspread-devel -p /sbin/ldconfig

%files -n %lib_name-kspread-devel
%defattr(-,root,root)
%_includedir/KDChartAxisParams.h
%_includedir/KDChartCustomBox.h
%_includedir/KDChartDataRegion.h
%_includedir/KDChartEnums.h
%_includedir/KDChartGlobal.h
%_includedir/KDChartListTable.h
%_includedir/KDChartParams.h
%_includedir/KDChartPropertySet.h
%_includedir/KDChartTable.h
%_includedir/KDChartTableBase.h
%_includedir/KDChartTextPiece.h
%_includedir/KDChartVectorTable.h
%_includedir/KDChartWidget.h
%_includedir/KDFrame.h
%_includedir/KDFrameProfileSection.h

%_includedir/KDChartDataIntern.h
%_includedir/kdchart_export.h
%_includedir/KDChartAxisParamsWrapper.h
%_includedir/KDChartCustomBoxWrapper.h
%_includedir/KDChartObjectFactory.h
%_includedir/KDChartParamsWrapper.h
%_includedir/KDChartTableDataWrapper.h
%_includedir/KDChartWrapperFactory.h

%_libdir/libkchartcommon.so
%_libdir/libkdchart.so
%_libdir/libkchartimageexport.so

%_libdir/libkspreadcommon.so

#--------------------------------------------------------------------

%package kpresenter
Summary:	Presentation for koffice.
Group:		Graphical desktop/KDE
Requires:	koffice-progs = %epoch:%version-%release
Requires:	%lib_name-kpresenter = %epoch:%version-%release
URL:        http://www.koffice.org/
Provides:	kpresenter
Conflicts:  koffice <= %epoch:1.2.1-9mdk
Requires:   %name-kformula
Requires:	xdg-utils
Provides:   %name-apps

%description kpresenter
KPresenter is a presentation for kde project.

%post kpresenter
/sbin/ldconfig
%update_menus
%{update_desktop_database}

%postun kpresenter
/sbin/ldconfig
%clean_menus
%{clean_desktop_database}


%files kpresenter
%defattr(-,root,root)
%_bindir/kprconverter.pl
%_bindir/kpresenter

%_datadir/services/ole_powerpoint97_import.desktop
%_datadir/services/kpresenter_ooimpress_import.desktop

%_datadir/services/kpresenterpart.desktop

%_datadir/apps/kpresenter/icons/crystalsvg/16x16/actions/*.png
%_datadir/apps/kpresenter/icons/crystalsvg/22x22/actions/*.svg
%_datadir/apps/kpresenter/icons/crystalsvg/32x32/actions/*.png

%_datadir/apps/kpresenter/icons/crystalsvg/16x16/actions/alignobjs.svg

%_datadir/apps/kpresenter/pics/rotate/*.png
%_datadir/services/kpresenter_*_export.desktop
%dir %_docdir/HTML/en/kpresenter/
%doc %_docdir/HTML/en/kpresenter/common
%doc %_docdir/HTML/en/kpresenter/*.bz2
%doc %_docdir/HTML/en/kpresenter/*.docbook
%doc %_docdir/HTML/en/kpresenter/*.png

%dir %_datadir/apps/kpresenter/
%_datadir/apps/kpresenter/*.rc

%dir %_datadir/apps/kpresenter/autoforms/
%_datadir/apps/kpresenter/autoforms/.autoforms

%dir %_datadir/apps/kpresenter/autoforms/Arrows/
%_datadir/apps/kpresenter/autoforms/Arrows/.directory
%_datadir/apps/kpresenter/autoforms/Arrows/*.desktop

%dir %_datadir/apps/kpresenter/autoforms/Arrows/.icon/
%_datadir/apps/kpresenter/autoforms/Arrows/.icon/*.png

%dir %_datadir/apps/kpresenter/autoforms/Arrows/.source/
%_datadir/apps/kpresenter/autoforms/Arrows/.source/*.atf

%dir %_datadir/apps/kpresenter/autoforms/Connections/
%_datadir/apps/kpresenter/autoforms/Connections/.directory
%_datadir/apps/kpresenter/autoforms/Connections/*.desktop

%dir %_datadir/apps/kpresenter/autoforms/Connections/.icon/
%_datadir/apps/kpresenter/autoforms/Connections/.icon/*.png

%dir %_datadir/apps/kpresenter/autoforms/Connections/.source/
%_datadir/apps/kpresenter/autoforms/Connections/.source/*.atf

%dir %_datadir/apps/kpresenter/dtd/
%_datadir/apps/kpresenter/dtd/*.dtd

%dir %_datadir/apps/kpresenter/kpartplugins/
%_datadir/apps/kpresenter/kpartplugins/*.rc

%dir %_datadir/apps/kpresenter/pics/
%_datadir/apps/kpresenter/pics/*.png

%dir %_datadir/apps/kpresenter/slideshow/
%_datadir/apps/kpresenter/slideshow/*.png

%dir %_datadir/apps/kpresenter/templates/
%dir %_datadir/apps/kpresenter/templates/A4/
%_datadir/apps/kpresenter/templates/A4/.directory
%_datadir/apps/kpresenter/templates/A4/*.desktop

%dir %_datadir/apps/kpresenter/templates/A4/.source/
%_datadir/apps/kpresenter/templates/A4/.source/*.kpt

%dir %_datadir/apps/kpresenter/templates/Screen/
%_datadir/apps/kpresenter/templates/Screen/.directory
%_datadir/apps/kpresenter/templates/Screen/*.desktop

%dir %_datadir/apps/kpresenter/templates/Screen/.source/
%_datadir/apps/kpresenter/templates/Screen/.source/*.kpt

%dir %_datadir/apps/kpresenter/templates/Screenpresentations/
%_datadir/apps/kpresenter/templates/Screenpresentations/.directory
%_datadir/apps/kpresenter/templates/Screenpresentations/*.desktop

%dir %_datadir/apps/kpresenter/templates/Screenpresentations/.source/
%_datadir/apps/kpresenter/templates/Screenpresentations/.source/*.kpt

%dir %_datadir/apps/kpresenter/templates/legal/
%_datadir/apps/kpresenter/templates/legal/.directory
%_datadir/apps/kpresenter/templates/legal/*.desktop

%dir %_datadir/apps/kpresenter/templates/legal/.source/
%_datadir/apps/kpresenter/templates/legal/.source/*.kpt

%dir %_datadir/apps/kpresenter/templates/letter/
%_datadir/apps/kpresenter/templates/letter/.directory
%_datadir/apps/kpresenter/templates/letter/*.desktop

%dir %_datadir/apps/kpresenter/templates/letter/.source/
%_datadir/apps/kpresenter/templates/letter/.source/*.kpt

%dir %_datadir/apps/kpresenter/icons/
%dir %_datadir/apps/kpresenter/icons/crystalsvg/
%dir %_datadir/apps/kpresenter/icons/crystalsvg/22x22/
%dir %_datadir/apps/kpresenter/icons/crystalsvg/22x22/actions/
%_datadir/apps/kpresenter/icons/crystalsvg/22x22/actions/*.png

%_datadir/applications/kde/kpresenter.desktop

%_datadir/services/kprkword.desktop

%_datadir/apps/kpresenter/icons/crystalsvg/48x48/actions/*.png
%_datadir/apps/kpresenter/icons/crystalsvg/scalable/actions/*.svgz
%_datadir/apps/kpresenter/icons/hicolor/48x48/actions/*.png

%_libdir/kde3/libolefilter.la
%_libdir/kde3/libolefilter.so
%_libdir/kde3/libkpresenterpart.la
%_libdir/kde3/libkpresenterpart.so
%_libdir/kde3/libkprkword.la*
%_libdir/kde3/libkprkword.so*
%_libdir/kde3/libooimpressexport.la*
%_libdir/kde3/libooimpressexport.so*
%_libdir/kde3/libooimpressimport.la*
%_libdir/kde3/libooimpressimport.so*
%_libdir/kde3/libkpresenterbmpexport.la
%_libdir/kde3/libkpresenterbmpexport.so
%_libdir/kde3/libkpresenterjpegexport.la
%_libdir/kde3/libkpresenterjpegexport.so
%_libdir/kde3/libkpresentermngexport.la
%_libdir/kde3/libkpresentermngexport.so
%_libdir/kde3/libkpresenterpngexport.la
%_libdir/kde3/libkpresenterpngexport.so
%_libdir/kde3/libkpresentersvgexport.la
%_libdir/kde3/libkpresentersvgexport.so
%_libdir/kde3/libkpresenterxbmexport.la
%_libdir/kde3/libkpresenterxbmexport.so
%_libdir/kde3/libkpresenterxpmexport.la
%_libdir/kde3/libkpresenterxpmexport.so
%_libdir/kde3/kpresenter.la
%_libdir/kde3/kpresenter.so


#--------------------------------------------------------------------

%package -n %lib_name-kpresenter
Group:		Development/KDE and Qt
Summary:	Libraries files for KPresenter
Conflicts:  koffice <= %epoch:1.2.1-9mdk

%description -n %lib_name-kpresenter
Libraries file for KPresenter

%post -n %lib_name-kpresenter -p /sbin/ldconfig
%postun -n %lib_name-kpresenter -p /sbin/ldconfig

%files -n %lib_name-kpresenter
%defattr(-,root,root)
%_libdir/libkpresenterimageexport.la
%_libdir/libkpresenterimageexport.so.*
%_libdir/libkpresenterprivate.la
%_libdir/libkpresenterprivate.so.*
%_libdir/libkdeinit_kpresenter.la
%_libdir/libkdeinit_kpresenter.so

#--------------------------------------------------------------------

%package -n %lib_name-kpresenter-devel
Group:		Development/KDE and Qt
Summary:	Devel files for KPresenter
Conflicts:  koffice <= %epoch:1.2.1-9mdk
Requires:      %lib_name-progs = %epoch:%{version}-%{release}
Requires:      %lib_name-kpresenter = %epoch:%{version}-%{release}
Provides:      kpresenter-devel = %epoch:%version-%release

%description -n %lib_name-kpresenter-devel
Devel file for KPresenter

%files -n %lib_name-kpresenter-devel
%defattr(-,root,root)
%_libdir/libkpresenterimageexport.so
%_libdir/libkpresenterprivate.so

#--------------------------------------------------------------------

%package kformula
Summary:	Formula for koffice.
Group:		Graphical desktop/KDE
Requires:	koffice-progs = %epoch:%version-%release
Requires:	%lib_name-kformula = %epoch:%version-%release
URL:        http://www.koffice.org/
Provides:	kformula
Conflicts:  koffice <= %epoch:1.2.1-9mdk
Provides:   %name-apps

%description kformula
KFormula is a formula for kde project.

%post kformula
/sbin/ldconfig
%update_menus
%{update_desktop_database}


%postun kformula
/sbin/ldconfig
%clean_menus
%{clean_desktop_database}


%files kformula
%defattr(-,root,root)
%_bindir/kformula
%_libdir/kde3/libkformulapart.la
%_libdir/kde3/libkformulapart.so
%_libdir/kde3/kformula.la
%_libdir/kde3/kformula.so
%_datadir/apps/kformula/fonts/*.ttf
%_datadir/services/kformula_svg_export.desktop
%_datadir/applications/kde/kformula.desktop
%dir %_datadir/apps/kformula/
%_datadir/apps/kformula/*
%_docdir/HTML/en/kformula

#--------------------------------------------------------------------

%package -n %lib_name-kformula
Group:		Development/KDE and Qt
Summary:	Libraries files for KFormula
Requires:       fonts-ttf-latex

Conflicts:  koffice <= %epoch:1.2.1-9mdk

%description -n %lib_name-kformula
Libraries file for KFormula

%post -n %lib_name-kformula -p /sbin/ldconfig
%postun -n %lib_name-kformula -p /sbin/ldconfig

%files -n %lib_name-kformula
%defattr(-,root,root)
%_libdir/libkdeinit_kformula.la
%_libdir/libkdeinit_kformula.so

#--------------------------------------------------------------------

%package -n %lib_name-kformula-devel
Group:		Development/KDE and Qt
Summary:	Devel files for KFormula
Requires:	%lib_name-kformula = %epoch:%version-%release

%description -n %lib_name-kformula-devel
Devel file for KFormula

%post -n %lib_name-kformula-devel -p /sbin/ldconfig
%postun -n %lib_name-kformula-devel -p /sbin/ldconfig

%files -n %lib_name-kformula-devel
%defattr(-,root,root)
%_libdir/libkformulalib.so

#--------------------------------------------------------------------

%package koshell
Summary:	Koshell for koffice.
Group:		Graphical desktop/KDE
Requires:	%name-progs = %epoch:%version-%release
Requires:	%lib_name-koshell = %epoch:%version-%release
URL:        http://www.koffice.org/
Provides:	koshell
Conflicts:  koffice <= %epoch:1.2.1-9mdk
Provides:   %name-apps

%description koshell
Koshell for kde project.

%post koshell
/sbin/ldconfig
%update_menus

%postun koshell
/sbin/ldconfig
%clean_menus


%files koshell
%defattr(-,root,root)
%_bindir/koshell

%_libdir/kde3/koshell.la
%_libdir/kde3/koshell.so

%_datadir/applications/kde/koshell.desktop

%_datadir/config.kcfg/koshell.kcfg
%dir %_datadir/apps/koshell/
%_datadir/apps/koshell/*.rc

%_datadir/icons/hicolor/128x128/apps/koshell.png
%_datadir/icons/hicolor/16x16/apps/koshell.png
%_datadir/icons/hicolor/22x22/apps/koshell.png
%_datadir/icons/hicolor/32x32/apps/koshell.png
%_datadir/icons/hicolor/48x48/apps/koshell.png
%_datadir/icons/hicolor/64x64/apps/koshell.png
%_datadir/icons/hicolor/scalable/apps/koshell.svgz

%dir %_docdir/HTML/en/koshell/
%doc %_docdir/HTML/en/koshell/common
%doc %_docdir/HTML/en/koshell/*.bz2
%doc %_docdir/HTML/en/koshell/*.docbook
%doc %_docdir/HTML/en/koshell/*.png

#--------------------------------------------------------------------

%package -n %lib_name-koshell
Group:		Development/KDE and Qt
Summary:	Libraries files for KOshell
Conflicts:  koffice <= %epoch:1.2.1-9mdk

%description -n %lib_name-koshell
Libraries file for KOshell

%post -n %lib_name-koshell -p /sbin/ldconfig
%postun -n %lib_name-koshell -p /sbin/ldconfig

%files -n %lib_name-koshell
%defattr(-,root,root)
%_libdir/libkdeinit_koshell.la
%_libdir/libkdeinit_koshell.so

#--------------------------------------------------------------------

%package kivio
Summary:	Diagramme for koffice.
Group:		Graphical desktop/KDE
Requires:	%name-progs = %epoch:%version-%release
Requires:	%lib_name-kivio = %epoch:%version-%release
URL:        http://www.koffice.org/
Provides:	kivio
Conflicts:  koffice <= %epoch:1.2.1-9mdk
Provides:   %name-apps

%description kivio
Kivio is a diagramme for kde project.

%post kivio
/sbin/ldconfig
%update_menus
%{update_desktop_database}


%postun kivio
/sbin/ldconfig
%clean_menus
%{update_desktop_database}

%files kivio
%defattr(-,root,root)
%_bindir/kivio

%_libdir/kde3/kivio.la
%_libdir/kde3/kivio.so
%_libdir/kde3/libkivioconnectortool.la
%_libdir/kde3/libkivioconnectortool.so
%_libdir/kde3/libkivioimageexport.la
%_libdir/kde3/libkivioimageexport.so
%_libdir/kde3/libkivioselecttool.la
%_libdir/kde3/libkivioselecttool.so
%_libdir/kde3/libkiviotargettool.la
%_libdir/kde3/libkiviotargettool.so
%_libdir/kde3/libkiviotexttool.la
%_libdir/kde3/libkiviotexttool.so
%_libdir/kde3/libkiviozoomtool.la
%_libdir/kde3/libkiviozoomtool.so
%_libdir/kde3/libkiviopart.la*
%_libdir/kde3/libkiviopart.so*
%_libdir/kde3/straight_connector.la*
%_libdir/kde3/straight_connector.so*

%_datadir/services/kivio_image_export.desktop
%_datadir/services/kiviotargettool.desktop

%_datadir/applications/kde/kivio.desktop
%_datadir/config.kcfg/kivio.kcfg

%dir %_docdir/HTML/en/kivio/
%doc %_docdir/HTML/en/kivio/common
%doc %_docdir/HTML/en/kivio/*.bz2
%doc %_docdir/HTML/en/kivio/*.docbook

%_datadir/apps/kivio/pics/kivio_connector_cursor1.png
%_datadir/apps/kivio/pics/kivio_connector_cursor2.png

%dir %_datadir/apps/kivio/
%_datadir/apps/kivio/*.rc

%dir %_datadir/apps/kivio/autoloadStencils/
%_datadir/apps/kivio/autoloadStencils/*

%dir %_datadir/apps/kivio/kpartplugins/
%_datadir/apps/kivio/kpartplugins/*.rc

%dir %_datadir/apps/kivio/pics/
%_datadir/apps/kivio/pics/*.xpm

%dir %_datadir/apps/kivio/stencils/
%dir %_datadir/apps/kivio/stencils/Flowcharting/
%_datadir/apps/kivio/stencils/Flowcharting/desc
%_datadir/apps/kivio/stencils/Flowcharting/*.xpm

%dir %_datadir/apps/kivio/stencils/Flowcharting/BasicFlowcharting/
%_datadir/apps/kivio/stencils/Flowcharting/BasicFlowcharting/desc
%_datadir/apps/kivio/stencils/Flowcharting/BasicFlowcharting/*.sml
%_datadir/apps/kivio/stencils/Flowcharting/BasicFlowcharting/*.xpm

%dir %_datadir/apps/kivio/stencils/Flowcharting/Logic/
%_datadir/apps/kivio/stencils/Flowcharting/Logic/*.sml
%_datadir/apps/kivio/stencils/Flowcharting/Logic/*.xpm

%dir %_datadir/apps/kivio/stencils/Flowcharting/Extended/
%_datadir/apps/kivio/stencils/Flowcharting/Extended/*.sml
%_datadir/apps/kivio/stencils/Flowcharting/Extended/*.xpm
%_datadir/apps/kivio/stencils/Flowcharting/Extended/desc
   
%dir %_datadir/apps/kivio/stencils/Geographic/
%dir %_datadir/apps/kivio/stencils/Geographic/Flags/   
%_datadir/apps/kivio/stencils/Geographic/Flags/*.sml
%_datadir/apps/kivio/stencils/Geographic/Flags/*.xpm
%_datadir/apps/kivio/stencils/Geographic/Flags/desc

%dir %_datadir/apps/kivio/stencils/Geographic/Maps/
%_datadir/apps/kivio/stencils/Geographic/Maps/*.sml
%_datadir/apps/kivio/stencils/Geographic/Maps/*.xpm
%_datadir/apps/kivio/stencils/Geographic/Maps/desc
%_datadir/apps/kivio/stencils/Geographic/desc
%_datadir/apps/kivio/stencils/Geographic/*.xpm

%dir %_datadir/apps/kivio/stencils/Hardware/
%dir %_datadir/apps/kivio/stencils/Hardware/Computer/
%_datadir/apps/kivio/stencils/Hardware/Computer/*.sml
%_datadir/apps/kivio/stencils/Hardware/Computer/*.xpm
%_datadir/apps/kivio/stencils/Hardware/Computer/desc
%_datadir/apps/kivio/stencils/Hardware/Computer/*.png

%dir %_datadir/apps/kivio/stencils/Hardware/Miscellaneous/
%_datadir/apps/kivio/stencils/Hardware/Miscellaneous/*.sml
%_datadir/apps/kivio/stencils/Hardware/Miscellaneous/*.xpm
%_datadir/apps/kivio/stencils/Hardware/Miscellaneous/desc
%_datadir/apps/kivio/stencils/Hardware/desc
%_datadir/apps/kivio/stencils/Hardware/icon.xpm

%dir %_datadir/apps/kivio/stencils/Miscellaneous/
%dir %_datadir/apps/kivio/stencils/Miscellaneous/Arrows/
%_datadir/apps/kivio/stencils/Miscellaneous/Arrows/*.sml
%_datadir/apps/kivio/stencils/Miscellaneous/Arrows/*.xpm
%_datadir/apps/kivio/stencils/Miscellaneous/Arrows/desc

%dir %_datadir/apps/kivio/stencils/Miscellaneous/Buildings/
%_datadir/apps/kivio/stencils/Miscellaneous/Buildings/*.sml
%_datadir/apps/kivio/stencils/Miscellaneous/Buildings/*.xpm
%_datadir/apps/kivio/stencils/Miscellaneous/Buildings/desc

%dir %_datadir/apps/kivio/stencils/Miscellaneous/ER/
%_datadir/apps/kivio/stencils/Miscellaneous/ER/*.sml
%_datadir/apps/kivio/stencils/Miscellaneous/ER/desc
%_datadir/apps/kivio/stencils/Miscellaneous/ER/*.png

%dir %_datadir/apps/kivio/stencils/Miscellaneous/People/
%_datadir/apps/kivio/stencils/Miscellaneous/People/*.sml
%_datadir/apps/kivio/stencils/Miscellaneous/People/*.xpm
%_datadir/apps/kivio/stencils/Miscellaneous/People/desc

%dir %_datadir/apps/kivio/stencils/Miscellaneous/Transport/
%_datadir/apps/kivio/stencils/Miscellaneous/Transport/*.sml
%_datadir/apps/kivio/stencils/Miscellaneous/Transport/*.xpm
%_datadir/apps/kivio/stencils/Miscellaneous/Transport/desc
%_datadir/apps/kivio/stencils/Miscellaneous/desc
%_datadir/apps/kivio/stencils/Miscellaneous/icon.xpm

%dir  %_datadir/apps/kivio/icons/
%dir %_datadir/apps/kivio/icons/hicolor/
%dir %_datadir/apps/kivio/icons/hicolor/16x16/
%dir %_datadir/apps/kivio/icons/hicolor/16x16/actions/
%_datadir/apps/kivio/icons/hicolor/16x16/actions/*.png

%dir %_datadir/apps/kivio/icons/hicolor/22x22/
%dir %_datadir/apps/kivio/icons/hicolor/22x22/actions/
%_datadir/apps/kivio/icons/hicolor/22x22/actions/*.png

%dir %_datadir/apps/kivio/icons/hicolor/32x32/
%dir %_datadir/apps/kivio/icons/hicolor/32x32/actions/
%_datadir/apps/kivio/icons/hicolor/32x32/actions/*.png

%dir  %_datadir/apps/kivio/icons/crystalsvg/
%dir  %_datadir/apps/kivio/icons/crystalsvg/16x16/
%dir  %_datadir/apps/kivio/icons/crystalsvg/16x16/actions/
%_datadir/apps/kivio/icons/crystalsvg/16x16/actions/*.png

%dir  %_datadir/apps/kivio/icons/crystalsvg/22x22/
%dir  %_datadir/apps/kivio/icons/crystalsvg/22x22/actions/
%_datadir/apps/kivio/icons/crystalsvg/22x22/actions/*.png

%dir  %_datadir/apps/kivio/icons/crystalsvg/32x32/
%dir  %_datadir/apps/kivio/icons/crystalsvg/32x32/actions/
%_datadir/apps/kivio/icons/crystalsvg/32x32/actions/*.png

%_datadir/apps/kivio/icons/crystalsvg/48x48/actions/template_empty.png
%_datadir/apps/kivio/icons/crystalsvg/scalable/actions/template_empty.svgz

%dir %_datadir/apps/kivio/stencils/Dia/
%dir %_datadir/apps/kivio/stencils/Dia/Assorted/
%_datadir/apps/kivio/stencils/Dia/Assorted/*.png
%_datadir/apps/kivio/stencils/Dia/Assorted/*.shape
%_datadir/apps/kivio/stencils/Dia/Assorted/desc
%_datadir/apps/kivio/stencils/Dia/Assorted/*.xpm

%dir %_datadir/apps/kivio/stencils/Dia/Circuit/
%_datadir/apps/kivio/stencils/Dia/Circuit/desc
%_datadir/apps/kivio/stencils/Dia/Circuit/*.shape
%_datadir/apps/kivio/stencils/Dia/Circuit/*.xpm
%_datadir/apps/kivio/stencils/Dia/Circuit/*.png

%dir %_datadir/apps/kivio/stencils/Dia/Cisco/
%_datadir/apps/kivio/stencils/Dia/Cisco/*.png
%_datadir/apps/kivio/stencils/Dia/Cisco/*.shape
%_datadir/apps/kivio/stencils/Dia/Cisco/desc
%_datadir/apps/kivio/stencils/Dia/Cisco/*.xpm

%dir %_datadir/apps/kivio/stencils/Dia/Civil/
%_datadir/apps/kivio/stencils/Dia/Civil/*.xpm
%_datadir/apps/kivio/stencils/Dia/Civil/desc
%_datadir/apps/kivio/stencils/Dia/Civil/*.shape

%dir %_datadir/apps/kivio/stencils/Dia/Contact/
%_datadir/apps/kivio/stencils/Dia/Contact/*.shape
%_datadir/apps/kivio/stencils/Dia/Contact/*.xpm
%_datadir/apps/kivio/stencils/Dia/Contact/desc

%dir %_datadir/apps/kivio/stencils/Dia/Electric/
%_datadir/apps/kivio/stencils/Dia/Electric/*.shape
%_datadir/apps/kivio/stencils/Dia/Electric/*.xpm
%_datadir/apps/kivio/stencils/Dia/Electric/desc

%dir %_datadir/apps/kivio/stencils/Dia/Jigsaw/
%_datadir/apps/kivio/stencils/Dia/Jigsaw/desc
%_datadir/apps/kivio/stencils/Dia/Jigsaw/*.xpm
%_datadir/apps/kivio/stencils/Dia/Jigsaw/*.shape

%dir %_datadir/apps/kivio/stencils/Dia/MSE/
%_datadir/apps/kivio/stencils/Dia/MSE/*.shape
%_datadir/apps/kivio/stencils/Dia/MSE/*.xpm
%_datadir/apps/kivio/stencils/Dia/MSE/desc

%dir %_datadir/apps/kivio/stencils/Dia/Network/
%_datadir/apps/kivio/stencils/Dia/Network/*.shape
%_datadir/apps/kivio/stencils/Dia/Network/*.xpm
%_datadir/apps/kivio/stencils/Dia/Network/desc
%_datadir/apps/kivio/stencils/Dia/Network/*.png

%dir %_datadir/apps/kivio/stencils/Dia/Pneumatic/
%_datadir/apps/kivio/stencils/Dia/Pneumatic/*.shape
%_datadir/apps/kivio/stencils/Dia/Pneumatic/*.xpm
%_datadir/apps/kivio/stencils/Dia/Pneumatic/desc

%dir %_datadir/apps/kivio/stencils/Dia/SDL/
%_datadir/apps/kivio/stencils/Dia/SDL/*.shape
%_datadir/apps/kivio/stencils/Dia/SDL/*.xpm
%_datadir/apps/kivio/stencils/Dia/SDL/desc

%dir %_datadir/apps/kivio/stencils/Dia/Sybase/
%_datadir/apps/kivio/stencils/Dia/Sybase/*.shape
%_datadir/apps/kivio/stencils/Dia/Sybase/*.xpm
%_datadir/apps/kivio/stencils/Dia/Sybase/desc

%_datadir/apps/kivio/stencils/Dia/desc
%_datadir/apps/kivio/stencils/Dia/*.xpm

%dir %_datadir/apps/kivio/stencils/UML/
%dir %_datadir/apps/kivio/stencils/UML/ActivityDiagrams/
%_datadir/apps/kivio/stencils/UML/ActivityDiagrams/*.sml
%_datadir/apps/kivio/stencils/UML/ActivityDiagrams/*.xpm
%_datadir/apps/kivio/stencils/UML/ActivityDiagrams/desc

%dir %_datadir/apps/kivio/stencils/UML/ClassDiagrams/
%_datadir/apps/kivio/stencils/UML/ClassDiagrams/*.sml
%_datadir/apps/kivio/stencils/UML/ClassDiagrams/*.xpm
%_datadir/apps/kivio/stencils/UML/ClassDiagrams/desc

%_datadir/apps/kivio/stencils/UML/desc
%_datadir/apps/kivio/stencils/UML/*.xpm

%dir %_datadir/apps/kivio/templates/
%dir %_datadir/apps/kivio/templates/Basic/
%_datadir/apps/kivio/templates/Basic/.directory
%_datadir/apps/kivio/templates/Basic/.source/*.kft
%_datadir/apps/kivio/templates/Basic/*.desktop

%_datadir/services/kivioconnectortool.desktop
%_datadir/services/kiviopart.desktop
%_datadir/services/kivioselecttool.desktop
%_datadir/services/kiviotexttool.desktop
%_datadir/services/kiviozoomtool.desktop

%_datadir/apps/kivio/icons/crystalsvg/48x48/actions/template_basicflow.png
%_datadir/apps/kivio/icons/crystalsvg/scalable/actions/template_basicworkflow.svgz
%_datadir/apps/kivio/stencils/Flowcharting/Logic/desc
%_datadir/apps/kivio/stencils/Miscellaneous/NassiShneiderman/desc
%_datadir/apps/kivio/stencils/Miscellaneous/NassiShneiderman/*.png
%_datadir/apps/kivio/stencils/Miscellaneous/NassiShneiderman/*.sml

#--------------------------------------------------------------------

%package -n %lib_name-kivio
Group:		Development/KDE and Qt
Summary:	Libraries files for KIvio
Conflicts:  koffice <= %epoch:1.2.1-9mdk

%description -n %lib_name-kivio
Libraries file for KIvio

%post -n %lib_name-kivio -p /sbin/ldconfig
%postun -n %lib_name-kivio -p /sbin/ldconfig


%files -n %lib_name-kivio
%defattr(-,root,root)
%_libdir/libkiviocommon.la
%_libdir/libkiviocommon.so.*
%_libdir/libkdeinit_kivio.la
%_libdir/libkdeinit_kivio.so

#--------------------------------------------------------------------

%package -n %lib_name-kivio-devel
Group:		Development/KDE and Qt
Summary:	Devel files for KIvio
Requires:	%lib_name-kivio = %epoch:%version-%release

%description -n %lib_name-kivio-devel
Header files for KIvio.

%post -n %lib_name-kivio-devel -p /sbin/ldconfig
%postun -n %lib_name-kivio-devel -p /sbin/ldconfig

%files -n %lib_name-kivio-devel
%defattr(-,root,root)
%_libdir/libkiviocommon.so

#--------------------------------------------------------------------

%package karbon
Summary:	Scalable drawing for koffice.
Group:		Graphical desktop/KDE
Requires:	%name-progs = %epoch:%version-%release
Requires:	%lib_name-karbon = %epoch:%version-%release
URL:        http://www.koffice.org/
Provides:	karbon
Conflicts:  koffice <= %epoch:1.2.1-9mdk
Provides:   %name-apps

%description karbon
Karbon is a scalable drawing for kde project.

%post karbon
/sbin/ldconfig
%update_menus
%{update_desktop_database}


%postun karbon
/sbin/ldconfig
%clean_menus
%{update_desktop_database}


%files karbon
%defattr(-,root,root)
%_bindir/karbon

%_libdir/kde3/libkfosvgexport.la
%_libdir/kde3/libkfosvgexport.so
%_libdir/kde3/liboodrawimport.la
%_libdir/kde3/liboodrawimport.so
%_libdir/kde3/karbon_flattenpathplugin.la*
%_libdir/kde3/karbon_flattenpathplugin.so*
%_libdir/kde3/karbon_imagetoolplugin.la*
%_libdir/kde3/karbon_imagetoolplugin.so*
%_libdir/kde3/karbon_insertknotsplugin.la*
%_libdir/kde3/karbon_insertknotsplugin.so*
%_libdir/kde3/karbon_roundcornersplugin.la*
%_libdir/kde3/karbon_roundcornersplugin.so*
%_libdir/kde3/karbon_shadoweffectplugin.la*
%_libdir/kde3/karbon_shadoweffectplugin.so*
%_libdir/kde3/karbon_whirlpinchplugin.la*
%_libdir/kde3/karbon_whirlpinchplugin.so*
%_libdir/kde3/karbon_zoomtoolplugin.la*
%_libdir/kde3/karbon_zoomtoolplugin.so*
%_libdir/kde3/libkarbonpart.la*
%_libdir/kde3/libkarbonpart.so*
%_libdir/kde3/libkarbonepsexport.la*
%_libdir/kde3/libkarbonepsexport.so*
%_libdir/kde3/libkarbonepsimport.la*
%_libdir/kde3/libkarbonepsimport.so*
%_libdir/kde3/libkarbonkontourimport.la*
%_libdir/kde3/libkarbonkontourimport.so*
%_libdir/kde3/libkarbonmsodimport.la*
%_libdir/kde3/libkarbonmsodimport.so*
%_libdir/kde3/libkarbonpngexport.la*
%_libdir/kde3/libkarbonpngexport.so*
%_libdir/kde3/libkarbonsvgexport.la*
%_libdir/kde3/libkarbonsvgexport.so*
%_libdir/kde3/libkarbonsvgimport.la*
%_libdir/kde3/libkarbonsvgimport.so*
%_libdir/kde3/libkarbonxcfexport.la*
%_libdir/kde3/libkarbonxcfexport.so*
%_libdir/kde3/libwmfexport.la*
%_libdir/kde3/libwmfexport.so*
%_libdir/kde3/libwmfimport.la*
%_libdir/kde3/libwmfimport.so*
%_libdir/kde3/karbon.la
%_libdir/kde3/karbon.so
%_libdir/kde3/libkarbonaiimport.la
%_libdir/kde3/libkarbonaiimport.so
%_libdir/kde3/karbon_defaulttools.la
%_libdir/kde3/karbon_defaulttools.so

%_datadir/applications/kde/karbon.desktop
%_datadir/servicetypes/karbon_module.desktop

%dir %_datadir/apps/karbon/
%_datadir/apps/karbon/*.rc
%dir %_datadir/apps/karbon/templates
%dir %_datadir/apps/karbon/templates/Basic
%_datadir/apps/karbon/templates/Basic/.directory
%_datadir/apps/karbon/templates/Basic/.source/empty.karbon
%_datadir/apps/karbon/templates/Basic/empty.desktop
%_datadir/apps/karbon/icons/crystalsvg/48x48/actions/template_empty.png
%_datadir/apps/karbon/icons/crystalsvg/scalable/actions/template_empty.svgz
%_datadir/apps/karbon/icons/hicolor/16x16/actions/linestyle.png
%_datadir/apps/karbon/icons/hicolor/22x22/actions/linestyle.png
%_datadir/apps/karbon/icons/hicolor/16x16/apps/karbon.png
%_datadir/apps/karbon/icons/hicolor/22x22/apps/karbon.png
%_datadir/apps/karbon/icons/hicolor/32x32/apps/karbon.png
%_datadir/apps/karbon/icons/hicolor/48x48/apps/karbon.png
%_datadir/apps/karbon/icons/hicolor/scalable/apps/karbon.svgz
%dir %_datadir/apps/karbon/gradients/
%_datadir/apps/karbon/gradients/*.kgr
%dir %_datadir/apps/karbon/icons/
%dir %_datadir/apps/karbon/icons/crystalsvg/
%dir %_datadir/apps/karbon/icons/crystalsvg/16x16/
%dir %_datadir/apps/karbon/icons/crystalsvg/16x16/actions/
%_datadir/apps/karbon/icons/crystalsvg/16x16/actions/*.png
%dir %_datadir/apps/karbon/icons/crystalsvg/22x22/
%dir %_datadir/apps/karbon/icons/crystalsvg/22x22/actions/
%_datadir/apps/karbon/icons/crystalsvg/22x22/actions/*.png
%dir %_datadir/apps/karbon/kpartplugins/
%_datadir/apps/karbon/kpartplugins/*.rc

%_datadir/services/karbon_oodraw_import.desktop
%_datadir/services/karbondefaulttools.desktop
%_datadir/services/karbonimagetool.desktop
%_datadir/services/karbonzoomtool.desktop
%_datadir/services/karbonpart.desktop
%_datadir/services/karbon_ai_import.desktop
%_datadir/services/karbon_eps_export.desktop
%_datadir/services/karbon_eps_import.desktop
%_datadir/services/karbon_kontour_import.desktop
%_datadir/services/karbon_msod_import.desktop
%_datadir/services/karbon_png_export.desktop
%_datadir/services/karbon_ps_import.desktop
%_datadir/services/karbon_svg_export.desktop
%_datadir/services/karbon_svg_import.desktop
%_datadir/services/karbon_wmf_export.desktop
%_datadir/services/karbon_wmf_import.desktop
%_datadir/services/karbon_xcf_export.desktop

%doc %_docdir/HTML/en/karbon/common
%doc %_docdir/HTML/en/karbon/*.bz2
%doc %_docdir/HTML/en/karbon/*.docbook

#--------------------------------------------------------------------

%package -n %lib_name-karbon
Group:		Development/KDE and Qt
Summary:	Libraries files for KArbon
Conflicts:  koffice <= %epoch:1.2.1-9mdk

%description -n %lib_name-karbon
Libraries file for KArbon

%post -n %lib_name-karbon -p /sbin/ldconfig
%postun -n %lib_name-karbon -p /sbin/ldconfig

%files -n %lib_name-karbon
%defattr(-,root,root)
%_libdir/libkarboncommon.la
%_libdir/libkarboncommon.so.*
%_libdir/libkdeinit_karbon.la
%_libdir/libkdeinit_karbon.so

#--------------------------------------------------------------------

%package -n %lib_name-karbon-devel
Group:		Development/KDE and Qt
Summary:	Header files for kivio
Requires:      %lib_name-progs = %epoch:%{version}-%{release}
Requires:	%lib_name-karbon = %epoch:%version-%release
Provides:      karbon-devel = %epoch:%version-%release
Conflicts:  koffice <= %epoch:1.2.1-9mdk
%define mini_karbon_rel %mkrel 1
Conflicts:	%lib_name-progs-devel <= %epoch:1.6.0-%{mini_karbon_rel}

%description -n %lib_name-karbon-devel
Header files needed for developing karbon.

%post -n %lib_name-karbon-devel -p /sbin/ldconfig

%postun -n %lib_name-karbon-devel -p /sbin/ldconfig

%files -n %lib_name-karbon-devel
%defattr(-,root,root)
%_libdir/libkarboncommon.so

#--------------------------------------------------------------------

%package krita
Summary:	A pixel-based image manipulation program.
Group:		Graphical desktop/KDE
Requires:	koffice-progs = %epoch:%version-%release
Requires:	%lib_name-krita = %epoch:%version-%release
URL:        http://www.koffice.org/
Provides:	krita
Conflicts:  koffice <= %epoch:1.2.1-9mdk
Provides:   %name-apps
Obsoletes:  krita-plugins

%description krita
Krita is a pixel-based image manipulation program.

%post krita
/sbin/ldconfig
%update_menus
%{update_desktop_database}

%postun krita
/sbin/ldconfig
%clean_menus
%{update_desktop_database}

%files krita
%defattr(-,root,root)
%dir %_datadir/apps/krita/brushes/
%_datadir/apps/krita/brushes/*.gbr
%_datadir/apps/krita/brushes/*.gih
%_bindir/krita

%_libdir/kde3/libkritapdfimport.la
%_libdir/kde3/libkritapdfimport.so
%_libdir/kde3/krita.la
%_libdir/kde3/krita.so
%_libdir/kde3/kritacimg.la
%_libdir/kde3/kritacimg.so
%_libdir/kde3/kritacolorrange.la
%_libdir/kde3/kritacolorrange.so
%_libdir/kde3/kritacolorsfilters.la
%_libdir/kde3/kritacolorsfilters.so
%_libdir/kde3/kritacolorspaceconversion.la
%_libdir/kde3/kritacolorspaceconversion.so
%_libdir/kde3/kritaconvolutionfilters.la
%_libdir/kde3/kritaconvolutionfilters.so
%_libdir/kde3/kritadefaultpaintops.la
%_libdir/kde3/kritadefaultpaintops.so
%_libdir/kde3/kritadefaulttools.la
%_libdir/kde3/kritadefaulttools.so
%_libdir/kde3/kritaembossfilter.la
%_libdir/kde3/kritaembossfilter.so
%_libdir/kde3/kritaexample.la
%_libdir/kde3/kritaexample.so
%_libdir/kde3/kritagrayplugin.la
%_libdir/kde3/kritagrayplugin.so
%_libdir/kde3/kritahistogram.la
%_libdir/kde3/kritahistogram.so
%_libdir/kde3/kritaimagesize.la
%_libdir/kde3/kritaimagesize.so
%_libdir/kde3/kritaoilpaintfilter.la
%_libdir/kde3/kritaoilpaintfilter.so
%_libdir/kde3/kritaraindropsfilter.la
%_libdir/kde3/kritaraindropsfilter.so
%_libdir/kde3/kritargbplugin.la
%_libdir/kde3/kritargbplugin.so
%_libdir/kde3/kritarotateimage.la
%_libdir/kde3/kritarotateimage.so
%_libdir/kde3/kritascreenshot.la
%_libdir/kde3/kritascreenshot.so
%_libdir/kde3/kritaselectiontools.la
%_libdir/kde3/kritaselectiontools.so
%_libdir/kde3/kritashearimage.la
%_libdir/kde3/kritashearimage.so
%_libdir/kde3/kritatoolcrop.la
%_libdir/kde3/kritatoolcrop.so
%_libdir/kde3/kritatoolfilter.la
%_libdir/kde3/kritatoolfilter.so
%_libdir/kde3/kritatoolpolygon.la
%_libdir/kde3/kritatoolpolygon.so
%_libdir/kde3/kritatoolpolyline.la
%_libdir/kde3/kritatoolpolyline.so
%_libdir/kde3/kritatoolstar.la
%_libdir/kde3/kritatoolstar.so
%_libdir/kde3/kritatooltransform.la
%_libdir/kde3/krita_ycbcr_u16_plugin.la
%_libdir/kde3/krita_ycbcr_u16_plugin.so
%_libdir/kde3/krita_ycbcr_u8_plugin.la
%_libdir/kde3/krita_ycbcr_u8_plugin.so
%_libdir/kde3/kritablurfilter.la
%_libdir/kde3/kritablurfilter.so
%_libdir/kde3/kritaextensioncolorsfilters.la
%_libdir/kde3/kritaextensioncolorsfilters.so
%_libdir/kde3/kritafastcolortransfer.la
%_libdir/kde3/kritafastcolortransfer.so
%_libdir/kde3/kritalenscorrectionfilter.la
%_libdir/kde3/kritalenscorrectionfilter.so
%_libdir/kde3/kritamodifyselection.la
%_libdir/kde3/kritamodifyselection.so
%_libdir/kde3/kritanoisefilter.la
%_libdir/kde3/kritanoisefilter.so
%_libdir/kde3/kritarandompickfilter.la
%_libdir/kde3/kritarandompickfilter.so
%_libdir/kde3/kritasubstrate.la
%_libdir/kde3/kritasubstrate.so
%_libdir/kde3/kritatoolcurves.la
%_libdir/kde3/kritatoolcurves.so
%_libdir/kde3/kritatoolperspectivegrid.la
%_libdir/kde3/kritatoolperspectivegrid.so
%_libdir/kde3/kritatooltransform.so
%_libdir/kde3/kritaunsharpfilter.la
%_libdir/kde3/kritaunsharpfilter.so
%_libdir/kde3/kritawavefilter.la
%_libdir/kde3/kritawavefilter.so
%_libdir/kde3/libkritapart.la
%_libdir/kde3/libkritapart.so
%_libdir/kde3/kritacolorify.la
%_libdir/kde3/kritacolorify.so
%_libdir/kde3/kritaselectopaque.la
%_libdir/kde3/kritaselectopaque.so
%_libdir/kde3/kritalevelfilter.la
%_libdir/kde3/kritalevelfilter.so
%_libdir/kde3/kritatoolperspectivetransform.la
%_libdir/kde3/kritatoolperspectivetransform.so
%_libdir/kde3/libkrita_openexr_export.la
%_libdir/kde3/libkrita_openexr_export.so
%_libdir/kde3/libkrita_openexr_import.la
%_libdir/kde3/libkrita_openexr_import.so
%_libdir/kde3/libkrita_raw_import.la
%_libdir/kde3/libkrita_raw_import.so
%_libdir/kde3/libkritajpegexport.la
%_libdir/kde3/libkritajpegexport.so
%_libdir/kde3/libkritajpegimport.la
%_libdir/kde3/libkritajpegimport.so
%_libdir/kde3/libkritapngexport.la
%_libdir/kde3/libkritapngexport.so
%_libdir/kde3/libkritapngimport.la
%_libdir/kde3/libkritapngimport.so
%_libdir/kde3/libkritatiffexport.la
%_libdir/kde3/libkritatiffexport.so
%_libdir/kde3/libkritatiffimport.la
%_libdir/kde3/libkritatiffimport.so
%_libdir/kde3/krita_cmyk_u16_plugin.la
%_libdir/kde3/krita_cmyk_u16_plugin.so
%_libdir/kde3/krita_gray_u16_plugin.la
%_libdir/kde3/krita_gray_u16_plugin.so
%_libdir/kde3/krita_lms_f32_plugin.la
%_libdir/kde3/krita_lms_f32_plugin.so
%_libdir/kde3/krita_rgb_f16half_plugin.la
%_libdir/kde3/krita_rgb_f16half_plugin.so
%_libdir/kde3/krita_rgb_f32_plugin.la
%_libdir/kde3/krita_rgb_f32_plugin.so
%_libdir/kde3/krita_rgb_u16_plugin.la
%_libdir/kde3/krita_rgb_u16_plugin.so
%_libdir/kde3/kritabumpmap.la
%_libdir/kde3/kritabumpmap.so
%_libdir/kde3/kritacmykplugin.la
%_libdir/kde3/kritacmykplugin.so
%_libdir/kde3/kritadropshadow.la
%_libdir/kde3/kritadropshadow.so
%_libdir/kde3/kritafiltersgallery.la
%_libdir/kde3/kritafiltersgallery.so
%_libdir/kde3/kritahistogramdocker.la
%_libdir/kde3/kritahistogramdocker.so
%_libdir/kde3/kritaimageenhancement.la
%_libdir/kde3/kritaimageenhancement.so
%_libdir/kde3/kritapixelizefilter.la
%_libdir/kde3/kritapixelizefilter.so
%_libdir/kde3/kritaroundcornersfilter.la
%_libdir/kde3/kritaroundcornersfilter.so
%_libdir/kde3/kritascripting.la
%_libdir/kde3/kritascripting.so
%_libdir/kde3/kritaseparatechannels.la
%_libdir/kde3/kritaseparatechannels.so
%_libdir/kde3/kritasmalltilesfilter.la
%_libdir/kde3/kritasmalltilesfilter.so
%_libdir/kde3/kritasobelfilter.la
%_libdir/kde3/kritasobelfilter.so
%_libdir/kde3/kritatoolselectsimilar.la
%_libdir/kde3/kritatoolselectsimilar.so
%_libdir/kde3/kritawetplugin.la
%_libdir/kde3/kritawetplugin.so

%_datadir/services/kritacolorifyfilter.desktop

%_datadir/services/kritatoolperspectivetransform.desktop
%_datadir/apps/krita/scripts/filterstest/filterstest.rb
%_datadir/apps/krita/scripts/filterstest/filterstest.rc
%_datadir/apps/krita/scripts/torturefilters/torture-filters.rb
%_datadir/apps/krita/scripts/torturefilters/torture-filters.rc
%_datadir/apps/krita/scripts/torturepainting/torture-painting.rb
%_datadir/apps/krita/scripts/torturepainting/torture-painting.rc


%_datadir/apps/krita/brushes/Makefile.am
%_datadir/apps/krita/brushes/Makefile.in
%_datadir/apps/krita/palettes/Makefile.am
%_datadir/apps/krita/palettes/Makefile.in

%_datadir/services/krita_pdf_import.desktop
%_datadir/services/krita_ycbcr_u16_plugin.desktop
%_datadir/services/krita_ycbcr_u8_plugin.desktop
%_datadir/services/kritablurfilter.desktop
%_datadir/services/kritaextensioncolorsfilters.desktop
%_datadir/services/kritafastcolortransfer.desktop
%_datadir/services/kritalenscorrectionfilter.desktop
%_datadir/services/kritamodifyselection.desktop
%_datadir/services/kritanoisefilter.desktop
%_datadir/services/kritarandompickfilter.desktop
%_datadir/services/kritasubstrate.desktop
%_datadir/services/kritatoolcurves.desktop
%_datadir/services/kritatoolperspectivegrid.desktop
%_datadir/services/kritaunsharpfilter.desktop
%_datadir/services/kritawavefilter.desktop
%_datadir/services/krita_cmyk_u16_plugin.desktop
%_datadir/services/krita_gray_u16_plugin.desktop
%_datadir/services/krita_jpeg_export.desktop
%_datadir/services/krita_jpeg_import.desktop
%_datadir/services/krita_lms_f32_plugin.desktop
%_datadir/services/krita_openexr_export.desktop
%_datadir/services/krita_openexr_import.desktop
%_datadir/services/krita_png_export.desktop
%_datadir/services/krita_png_import.desktop
%_datadir/services/krita_raw_import.desktop
%_datadir/services/krita_rgb_f16half_plugin.desktop
%_datadir/services/krita_rgb_f32_plugin.desktop
%_datadir/services/krita_rgb_u16_plugin.desktop
%_datadir/services/krita_tiff_export.desktop
%_datadir/services/krita_tiff_import.desktop
%_datadir/services/kritabumpmapfilter.desktop
%_datadir/services/kritacmykplugin.desktop
%_datadir/services/kritacolorrange.desktop
%_datadir/services/kritacolorsfilter.desktop
%_datadir/services/kritacolorspaceconversion.desktop
%_datadir/services/kritaconvolutionfilters.desktop
%_datadir/services/kritadropshadow.desktop
%_datadir/services/kritaembossfilter.desktop
%_datadir/services/kritaexample.desktop
%_datadir/services/kritafiltersgallery.desktop
%_datadir/services/kritahistogram.desktop
%_datadir/services/kritahistogramdocker.desktop
%_datadir/services/kritaimageenhancement.desktop
%_datadir/services/kritaimagesize.desktop
%_datadir/services/kritaoilpaintfilter.desktop
%_datadir/services/kritapixelizefilter.desktop
%_datadir/services/kritaraindropsfilter.desktop
%_datadir/services/kritarotateimage.desktop
%_datadir/services/kritaroundcornersfilter.desktop
%_datadir/services/kritascreenshot.desktop
%_datadir/services/kritascripting.desktop
%_datadir/services/kritaseparatechannels.desktop
%_datadir/services/kritashearimage.desktop
%_datadir/services/kritasmalltilesfilter.desktop
%_datadir/services/kritasobelfilter.desktop
%_datadir/services/kritatoolselectsimilar.desktop
%_datadir/services/kritawetplugin.desktop
%_datadir/services/kritaselectopaque.desktop

%_datadir/applnk/.hidden/krita_jpeg.desktop
%_datadir/applnk/.hidden/krita_openexr.desktop
%_datadir/applnk/.hidden/krita_pdf.desktop
%_datadir/applnk/.hidden/krita_png.desktop
%_datadir/applnk/.hidden/krita_raw.desktop
%_datadir/applnk/.hidden/krita_tiff.desktop

%_datadir/apps/krita/scripts/changecs/changecs.rb
%_datadir/apps/krita/scripts/changecs/changecs.rc
%_datadir/apps/krita/scripts/invertpython/invert.py
%_datadir/apps/krita/scripts/invertpython/invertpython.rc
%_datadir/apps/krita/scripts/invertruby/invert.rb
%_datadir/apps/krita/scripts/invertruby/invertruby.rc
%_datadir/apps/krita/scripts/randompaint/randompaint.rb
%_datadir/apps/krita/scripts/randompaint/randompaint.rc
%_datadir/apps/krita/scripts/reshapehisto/reshapehisto.py
%_datadir/apps/krita/scripts/reshapehisto/reshapehisto.rc

%_datadir/apps/kritaplugins/*.rc

%_datadir/apps/krita/icons/crystalsvg/48x48/actions/template_cmyk_empty.png
%_datadir/apps/krita/icons/crystalsvg/scalable/actions/template_cmyk_empty.svgz
%_datadir/apps/krita/images/*.png

%_datadir/apps/krita/templates/cmyk/.directory
%_datadir/apps/krita/templates/cmyk/.source/white_2000x800.kra
%_datadir/apps/krita/templates/cmyk/white_2000x800.desktop

%doc %_docdir/HTML/en/krita/common
%doc %_docdir/HTML/en/krita/*.bz2
%doc %_docdir/HTML/en/krita/*.docbook
%doc %_docdir/HTML/en/krita/*.png
%doc %_docdir/HTML/en/krita/README.SCREENSHOTS

%_datadir/servicetypes/krita_colorspace.desktop

%dir %_datadir/apps/krita/
%_datadir/apps/krita/*.rc
%dir %_datadir/apps/krita/kpartplugins/
%_datadir/apps/krita/kpartplugins/*.rc

%_datadir/applications/kde/krita.desktop

%dir %_datadir/apps/krita/dtd/
%_datadir/apps/krita/dtd/krita.dtd

%_datadir/apps/krita/gradients/*.ggr

%_datadir/apps/krita/icons/crystalsvg/48x48/actions/template_gray_empty.png
%_datadir/apps/krita/icons/crystalsvg/48x48/actions/template_rgb_empty.png
%_datadir/apps/krita/icons/crystalsvg/scalable/actions/template_gray_empty.svgz
%_datadir/apps/krita/icons/crystalsvg/scalable/actions/template_rgb_empty.svgz

%dir %_datadir/apps/krita/palettes/
%_datadir/apps/krita/palettes/*.gpl

%dir %_datadir/apps/krita/patterns/
%_datadir/apps/krita/patterns/*.pat

%dir %_datadir/apps/krita/pics/
%_datadir/apps/krita/pics/*.xpm
%_datadir/apps/krita/pics/*.png

%dir %_datadir/apps/krita/profiles/
%_datadir/apps/krita/profiles/*.icm

%dir %_datadir/apps/krita/templates/gray/
%_datadir/apps/krita/templates/gray/.directory

%dir %_datadir/apps/krita/templates/gray/.source/
%_datadir/apps/krita/templates/gray/.source/white_640x480.kra
%_datadir/apps/krita/templates/gray/white_640x480.desktop
%_datadir/apps/krita/templates/rgb/.directory

%dir %_datadir/apps/krita/templates/rgb/.source/
%_datadir/apps/krita/templates/rgb/.source/*.kra

%dir %_datadir/apps/krita/templates/rgb/
%_datadir/apps/krita/templates/rgb/*.desktop

%_datadir/services/kritacimg.desktop
%_datadir/services/kritadefaultpaintops.desktop
%_datadir/services/kritadefaulttools.desktop
%_datadir/services/kritagrayplugin.desktop
%_datadir/services/kritapart.desktop
%_datadir/services/kritargbplugin.desktop
%_datadir/services/kritaselectiontools.desktop
%_datadir/services/kritatoolcrop.desktop
%_datadir/services/kritatoolfilter.desktop
%_datadir/services/kritatoolpolygon.desktop
%_datadir/services/kritatoolpolyline.desktop
%_datadir/services/kritatoolstar.desktop
%_datadir/services/kritatooltransform.desktop
%_datadir/services/kritalevelfilter.desktop

%_datadir/servicetypes/krita_filter.desktop
%_datadir/servicetypes/krita_paintop.desktop
%_datadir/servicetypes/krita_plugin.desktop
%_datadir/servicetypes/krita_tool.desktop

#--------------------------------------------------------------------

%package -n %lib_name-krita
Group:		Development/KDE and Qt
Summary:	Libraries files for Krita
Conflicts:  koffice <= %epoch:1.2.1-9mdk

%description -n %lib_name-krita
Libraries file for Krita

%post -n %lib_name-krita -p /sbin/ldconfig

%postun -n %lib_name-krita -p /sbin/ldconfig

%files -n %lib_name-krita
%defattr(-,root,root)
%_libdir/libkdeinit_krita.la
%_libdir/libkdeinit_krita.so
%_libdir/libkrita_cmyk_u16.la
%_libdir/libkrita_cmyk_u16.so.*
%_libdir/libkrita_gray_u16.la
%_libdir/libkrita_gray_u16.so.*
%_libdir/libkrita_lms_f32.la
%_libdir/libkrita_lms_f32.so.*
%_libdir/libkrita_rgb_f16half.la
%_libdir/libkrita_rgb_f16half.so.*
%_libdir/libkrita_rgb_f32.la
%_libdir/libkrita_rgb_f32.so.*
%_libdir/libkrita_rgb_u16.la
%_libdir/libkrita_rgb_u16.so.*
%_libdir/libkritagrayscale.la
%_libdir/libkritagrayscale.so.*
%_libdir/libkritargb.la
%_libdir/libkritargb.so.*
%_libdir/libkrita_ycbcr_u16.so.*
%_libdir/libkrita_ycbcr_u8.so.*
%_libdir/libkrita_ycbcr_u16.la
%_libdir/libkrita_ycbcr_u8.la

#--------------------------------------------------------------------

%if %krita_kjs_compile
%package -n %lib_name-krita-kjsembed
Group:      Development/KDE and Qt
Summary:    Libraries files for Krita

%description -n %lib_name-krita-kjsembed
Krita file to use kjs script

%files -n %lib_name-krita-kjsembed
%defattr(-,root,root)
%_libdir/kde3/kritakjsembed.la
%_libdir/kde3/kritakjsembed.so
%endif

#--------------------------------------------------------------------

%package -n %lib_name-krita-devel
Group:		Development/KDE and Qt
Summary:	Header files for krita
Requires:       %lib_name-progs = %epoch:%{version}-%{release}
Requires:	%lib_name-krita = %epoch:%version-%release
Provides:       krita-devel = %epoch:%version-%release
Conflicts:      koffice <= %epoch:1.2.1-9mdk

%description -n %lib_name-krita-devel
Header files needed for developing krita.

%post -n %lib_name-krita-devel -p /sbin/ldconfig

%postun -n %lib_name-krita-devel -p /sbin/ldconfig


%files -n %lib_name-krita-devel
%defattr(-,root,root)

%_libdir/libkritacommon.so
%_libdir/libkrita_cmyk_u16.so
%_libdir/libkrita_gray_u16.so
%_libdir/libkrita_lms_f32.so
%_libdir/libkrita_rgb_f16half.so
%_libdir/libkrita_rgb_f32.so
%_libdir/libkrita_rgb_u16.so
%_libdir/libkritacolor.so
%_libdir/libkritagrayscale.so
%_libdir/libkritaimage.so
%_libdir/libkritargb.so
%_libdir/libkritascripting.so
%_libdir/libkritaui.so
%_libdir/libkrita_ycbcr_u16.so
%_libdir/libkrita_ycbcr_u8.so
%_includedir/kis_*.h

#--------------------------------------------------------------------

%package kexi
Summary:    An integrated environment for managing data.
Group:	    Graphical desktop/KDE
Requires:   %name-progs = %epoch:%version-%release
Requires:   %lib_name-kexi = %epoch:%version-%release
URL:        http://www.koffice.org/
Provides:   kexi >= %epoch:%version-%release
Conflicts:  koffice <= %epoch:1.2.1-9mdk
Obsoletes:  kexi <= 0.1-0.beta5.5mdk	
Provides:   %name-apps
Requires:   keximdb 

%description kexi
Kexi is an integrated environment for managing data.

%post kexi
/sbin/ldconfig
%update_menus
%{update_desktop_database}

%postun kexi
/sbin/ldconfig
%clean_menus
%{update_desktop_database}

%files kexi
%defattr(-,root,root)
%_bindir/kexi
%_bindir/ksqlite
%_bindir/ksqlite2
%_bindir/ksqlite2to3
%_bindir/kexi_add_column
%_bindir/kexi_add_column_gui
%_bindir/kexi_delete_column
%_bindir/kexi_delete_column_gui
%_bindir/krossrunner

%_libdir/kde3/kexi.la
%_libdir/kde3/kexi.so
%_libdir/kde3/kexidb_mysqldriver.la
%_libdir/kde3/kexidb_mysqldriver.so
%_libdir/kde3/kexidb_sqlite2driver.la
%_libdir/kde3/kexidb_sqlite2driver.so
%_libdir/kde3/kexidb_sqlite3driver.la
%_libdir/kde3/kexidb_sqlite3driver.so
%_libdir/kde3/kexihandler_form.la
%_libdir/kde3/kexihandler_form.so
%_libdir/kde3/kexihandler_migration.la
%_libdir/kde3/kexihandler_migration.so
%_libdir/kde3/kexihandler_query.la
%_libdir/kde3/kexihandler_query.so
%_libdir/kde3/kexihandler_relation.la
%_libdir/kde3/kexihandler_relation.so
%_libdir/kde3/kexihandler_script.la
%_libdir/kde3/kexihandler_script.so
%_libdir/kde3/kexihandler_table.la
%_libdir/kde3/kexihandler_table.so
%_libdir/kde3/keximigrate_mysql.la
%_libdir/kde3/keximigrate_mysql.so
%_libdir/kde3/libkspreadkexiimport.la
%_libdir/kde3/libkspreadkexiimport.so
%_libdir/kde3/kformdesigner_containers.la
%_libdir/kde3/kformdesigner_containers.so
%_libdir/kde3/kformdesigner_kexidbwidgets.la
%_libdir/kde3/kformdesigner_kexidbwidgets.so
%_libdir/kde3/kformdesigner_stdwidgets.la
%_libdir/kde3/kformdesigner_stdwidgets.so
%_libdir/kde3/kexihandler_csv_importexport.la
%_libdir/kde3/kexihandler_csv_importexport.so
%_libdir/kde3/kexidb_pqxxsqldriver.la
%_libdir/kde3/kexidb_pqxxsqldriver.so
%_libdir/kde3/keximigrate_pqxx.la
%_libdir/kde3/keximigrate_pqxx.so


%_datadir/apps/kexi/scripts/copycenter/CopyCenter.py
%_datadir/apps/kexi/scripts/copycenter/CopyCenter.rc
%_datadir/apps/kexi/scripts/copycenter/CopyCenterPluginKexiDB.py
%_datadir/apps/kexi/scripts/copycenter/CopyCenterPluginQtSQL.py
%_datadir/apps/kexi/scripts/copycenter/readme.html

%dir %_docdir/HTML/en/kexi/
%doc %_docdir/HTML/en/kexi/common
%doc %_docdir/HTML/en/kexi/*.bz2
%doc %_docdir/HTML/en/kexi/*.docbook

%_docdir/HTML/en/kexi/contact-example.png
%dir %_datadir/apps/kexi/kross/

%_datadir/apps/kexi/kross/python/kexiapp/__init__.py
%_datadir/apps/kexi/pics/imagebox.png

%_datadir/apps/kexi/scripts/exportxhtml/ExportXHTML.py
%_datadir/apps/kexi/scripts/exportxhtml/ExportXHTML.rc
%_datadir/apps/kexi/scripts/importxhtml/ImportXHTML.py
%_datadir/apps/kexi/scripts/importxhtml/ImportXHTML.rc
%_datadir/apps/kexi/scripts/projectdocumentor/ProjectDocumentor.py
%_datadir/apps/kexi/scripts/projectdocumentor/ProjectDocumentor.rc

%_datadir/mimelnk/application/x-kexi-connectiondata.desktop

%_datadir/services/kexi/kexicsv_importexporthandler.desktop

%_datadir/services/kformdesigner/kformdesigner_*.desktop
%_datadir/applications/kde/kexi.desktop

%_datadir/servicetypes/widgetfactory.desktop

%_datadir/apps/kexi/icons/crystalsvg/128x128/actions/form_action.png
%_datadir/apps/kexi/icons/crystalsvg/16x16/actions/*.png
%_datadir/apps/kexi/icons/crystalsvg/22x22/actions/*.png
%_datadir/apps/kexi/icons/crystalsvg/32x32/actions/*.png
%_datadir/apps/kexi/icons/crystalsvg/48x48/actions/*.png
%_datadir/apps/kexi/icons/crystalsvg/64x64/actions/*.png
%_datadir/apps/kexi/*.rc
%_datadir/apps/kexi/pics/cp-wiz.png

%_datadir/apps/kexi/examples/Simple_Database.kexi
%_datadir/locale/pl/LC_MESSAGES/kexi_add_column_gui_transl_pl.sh
%_datadir/locale/pl/LC_MESSAGES/kexi_delete_column_gui_transl_pl.sh

%_datadir/services/kspread_kexi_import.desktop

%_datadir/services/kexi/kexiformhandler.desktop
%_datadir/services/kexi/keximigrationhandler.desktop
%_datadir/services/kexi/kexiqueryhandler.desktop
%_datadir/services/kexi/kexirelationhandler.desktop
%_datadir/services/kexi/kexiscripthandler.desktop
%_datadir/services/kexi/kexitablehandler.desktop
%_datadir/services/kexidb_mysqldriver.desktop
%_datadir/services/kexidb_sqlite2driver.desktop
%_datadir/services/kexidb_sqlite3driver.desktop
%_datadir/services/keximigrate_mysql.desktop

%_datadir/mimelnk/application/x-kexiproject-shortcut.desktop
%_datadir/mimelnk/application/x-kexiproject-sqlite.desktop
%_datadir/mimelnk/application/x-kexiproject-sqlite2.desktop
%_datadir/mimelnk/application/x-kexiproject-sqlite3.desktop

%_datadir/servicetypes/kexidb_driver.desktop
%_datadir/servicetypes/kexihandler.desktop
%_datadir/servicetypes/keximigration_driver.desktop

%_datadir/services/kexidb_pqxxsqldriver.desktop
%_datadir/services/keximigrate_pqxx.desktop

%_datadir/config/kexirc
%_datadir/config/magic/kexi.magic

#--------------------------------------------------------------------

%package -n %lib_name-kexi
Group:		Development/KDE and Qt
Summary:	Libraries files for Kexi
Conflicts:  koffice <= %epoch:1.2.1-9mdk
Obsoletes:	%lib_name_kexi <= 0.1-0.beta5.5mdk	
Provides:	%lib_name_kexi

%description -n %lib_name-kexi
Libraries file for Kexi

%post -n %lib_name-kexi -p /sbin/ldconfig
%postun -n %lib_name-kexi -p /sbin/ldconfig


%files -n %lib_name-kexi
%defattr(-,root,root)
%_libdir/libkexidatatable.la
%_libdir/libkexidatatable.so.*

%_libdir/libkdeinit_kexi.la
%_libdir/libkdeinit_kexi.so

%_libdir/libkexiextendedwidgets.la
%_libdir/libkexiextendedwidgets.so.*
%_libdir/libkexiformutils.la
%_libdir/libkexiformutils.so.*
%_libdir/libkexiguiutils.la
%_libdir/libkexiguiutils.so.*
%_libdir/libkeximain.la
%_libdir/libkeximain.so.*
%_libdir/libkeximigrate.la
%_libdir/libkeximigrate.so.*
%_libdir/libkexirelationsview.la
%_libdir/libkexirelationsview.so.*
%_libdir/libkexisql2.la
%_libdir/libkexisql2.so.*
%_libdir/libkexisql3.la
%_libdir/libkexisql3.so.*

%_libdir/libkformdesigner.la
%_libdir/libkformdesigner.so.*

#--------------------------------------------------------------------

%package -n %lib_name-kexi-devel
Group:		Development/KDE and Qt
Summary:	Header files for kexi
Requires:       %lib_name-progs = %epoch:%{version}-%{release}
Requires:	%lib_name-kexi = %epoch:%version-%release
Provides:       kexi-devel = %epoch:%version-%release
Conflicts:      koffice <= %epoch:1.2.1-9mdk
Obsoletes:	%lib_name_kexi-devel <= 0.1-0.beta5.5mdk	
Provides:	%lib_name_kexi-devel

%description -n %lib_name-kexi-devel
Header files needed for developing kexi.

%post -n %lib_name-kexi-devel -p /sbin/ldconfig
%postun -n %lib_name-kexi-devel -p /sbin/ldconfig

%files -n %lib_name-kexi-devel
%defattr(-,root,root)
%dir %_includedir/kexidb/
%_includedir/kexidb/*.h
%_includedir/kexiutils/longlongvalidator.h
%_includedir/kexiutils/styleproxy.h

%dir %_includedir/kexiutils/
%_includedir/kexiutils/identifier.h
%_includedir/kexiutils/kexiutils_export.h
%_includedir/kexiutils/tristate.h
%_includedir/kexiutils/utils.h
%_includedir/kexiutils/validator.h

%_libdir/libkexicore.so
%_libdir/libkexidatatable.so
%_libdir/libkexidb.so
%_libdir/libkexidbparser.so
%_libdir/libkexiextendedwidgets.so
%_libdir/libkexiformutils.so
%_libdir/libkexiguiutils.so
%_libdir/libkeximain.so
%_libdir/libkeximigrate.so
%_libdir/libkexirelationsview.so
%_libdir/libkexisql2.so
%_libdir/libkexisql3.so
%_libdir/libkexiutils.so
%_libdir/libkformdesigner.so
%_libdir/libkoproperty.so

#--------------------------------------------------------------------

%package kugar
Summary:	Kugar for koffice.
Group:		Graphical desktop/KDE
Requires:	%name-progs = %epoch:%version-%release
Requires:	%lib_name-kugar = %epoch:%version-%release
URL:            http://www.koffice.org/
Provides:	kugar
Conflicts:      koffice <= %epoch:1.2.1-9mdk
Provides:       %name-apps

%description kugar
Kugar for kde project.

%post kugar
/sbin/ldconfig
%update_menus
%{update_desktop_database}


%postun kugar
/sbin/ldconfig
%clean_menus
%{update_desktop_database}

%files kugar
%defattr(-,root,root)
%_bindir/kudesigner
%_bindir/kugar

%_libdir/kde3/libkudesignerpart.la*
%_libdir/kde3/libkudesignerpart.so*
%_libdir/kde3/libkugarpart.la*
%_libdir/kde3/libkugarpart.so*
%_libdir/kde3/libkugarnopimport.la*
%_libdir/kde3/libkugarnopimport.so*
%_libdir/kde3/kudesigner.la
%_libdir/kde3/kudesigner.so
%_libdir/kde3/kugar.la
%_libdir/kde3/kugar.so

%_datadir/apps/kugar/templates/*.kdf

%_datadir/apps/kugar/templates/*.ktf

%_datadir/applications/kde/kudesigner.desktop

%_datadir/services/kugar_kugar_import.desktop
%_datadir/services/kugarpart.desktop

%dir %_datadir/apps/kudesigner/icons/crystalsvg/
%dir %_datadir/apps/kudesigner/icons/crystalsvg/22x22/
%dir %_datadir/apps/kudesigner/icons/crystalsvg/22x22/actions/
%_datadir/apps/kudesigner/icons/crystalsvg/22x22/actions/*.png

%_datadir/apps/kudesigner/icons/crystalsvg/48x48/actions/template_iso.png
%_datadir/apps/kudesigner/icons/crystalsvg/48x48/actions/template_us.png
%_datadir/apps/kudesigner/icons/crystalsvg/scalable/actions/template_iso.svgz
%_datadir/apps/kudesigner/icons/crystalsvg/scalable/actions/template_us.svgz

%dir %_docdir/HTML/en/kugar/
%doc %_docdir/HTML/en/kugar/common
%doc %_docdir/HTML/en/kugar/*.bz2
%doc %_docdir/HTML/en/kugar/*.docbook
%doc %_docdir/HTML/en/kugar/*.png

%_datadir/applications/kde/kugar.desktop

%dir %_datadir/apps/kugar/
%_datadir/apps/kugar/*.rc

%dir %_datadir/apps/kugar/dtd/
%_datadir/apps/kugar/dtd/*.dtd

%dir %_datadir/apps/kudesigner/
%_datadir/apps/kudesigner/*.rc

%dir %_datadir/apps/kudesigner/templates/
%dir %_datadir/apps/kudesigner/templates/General/
%_datadir/apps/kudesigner/templates/General/.directory
%_datadir/apps/kudesigner/templates/General/*.desktop
%dir %_datadir/apps/kudesigner/templates/General/.source/
%_datadir/apps/kudesigner/templates/General/.source/*.ktm

#--------------------------------------------------------------------

%package -n %lib_name-kugar
Group:		Development/KDE and Qt
Summary:	Libraries files for Kugar
Conflicts:  koffice <= %epoch:1.2.1-9mdk

%description -n %lib_name-kugar
Libraries file for Kugar

%post -n %lib_name-kugar -p /sbin/ldconfig
%postun -n %lib_name-kugar -p /sbin/ldconfig

%files -n %lib_name-kugar
%defattr(-,root,root)
%_libdir/libkudesignercore.la*
%_libdir/libkudesignercore.so*
%_libdir/libkdeinit_kudesigner.la
%_libdir/libkdeinit_kudesigner.so
%_libdir/libkdeinit_kugar.la
%_libdir/libkdeinit_kugar.so
%_libdir/libkugarlib.la
%_libdir/libkugarlib.so.*

#--------------------------------------------------------------------

%package -n %lib_name-kugar-devel
Group:		Development/KDE and Qt
Summary:	Header files for kugar
Requires:      %{lib_name}-kugar = %epoch:%{version}-%{release}
Provides:      kugar-devel = %epoch:%version-%release
Conflicts:  koffice <= %epoch:1.2.1-9mdk

%description -n %lib_name-kugar-devel
Header files needed for developing kugar.

%post -n %lib_name-kugar-devel -p /sbin/ldconfig
%postun -n %lib_name-kugar-devel -p /sbin/ldconfig

%files -n %lib_name-kugar-devel
%defattr(-,root,root)
%_libdir/libkugarlib.so

#--------------------------------------------------------------------

%prep

%setup -q 
%patch0 -p0 -b .categories
%patch1 -p0 -b .cve_kpdf
%patch2 -p0 -b .cve-2007-4352_5392_5393
%patch3 -p0 -b .bug_34826

%build
export QTDIR=%{qt3dir}
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=%{qt3lib}:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=%{qt3dir}/bin:$KDEDIR/bin:$PATH

%configure2_5x \
%if %unstable
	--enable-debug=full \
%else
	--disable-debug \
%endif
%if %use_enable_final
	--enable-final \
%else
	--disable-final \
%endif
	--disable-static \
%if "%{_lib}" != "lib"
    --enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
%endif
	--disable-rpath \
%if ! %use_python
    --without-python \
%endif
	--with-xinerama 

make clean
%make

%if %compile_apidox
make apidox
%endif

%install
rm -fr %buildroot

%makeinstall

perl -pi -e "s|Icon=kudesigner|Icon=text_tools_section.png|" %buildroot/%_datadir/applications/kde/kudesigner.desktop
perl -pi -e "s|Icon=kthesaurus|Icon=office_accessories_section.png|" %buildroot/%_datadir/applnk/Office/KThesaurus.desktop

rm -f %buildroot/%_datadir/apps/kontour/kpartplugins/scan-kontour.rc
rm -f %buildroot/%_datadir/mimelnk/image/x-raw.desktop

%if %compile_apidox
make install-apidox DESTDIR=%buildroot/
list=`ls -d */ -1`;
echo $list;
for i in $list ; do
	cd $i;
		if grep '^include .*Doxyfile.am' Makefile.am; then
			echo "installing apidox from $i" ;	
			make install-apidox DESTDIR=%buildroot/ ; 
		fi
	cd ../;
done;
%endif

%clean
rm -fr %buildroot



%changelog
* Tue Jan 22 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1.6.3-9.3mdv2008.0
+ Revision: 156912
- Use upstream patch and use make clean
- Integrate previous security patch
  [BUGFIX] make Kexi usuable as the current version do not show datas (Bug #34826)
- [BUGFIX] Fix Kexi description (Bug #34827)

* Sun Sep 23 2007 Nicolas Lécureuil <neoclust@mandriva.org> 11:1.6.3-9mdv2008.0
+ Revision: 92311
- [BUGFIX] Fix koshell menu entry (Bug #33929)

* Sat Sep 15 2007 Nicolas Lécureuil <neoclust@mandriva.org> 11:1.6.3-8mdv2008.0
+ Revision: 87371
- [BUGFIX] Fix typo on french KThesaurus (Bug #33408)

* Sun Sep 09 2007 Nicolas Lécureuil <neoclust@mandriva.org> 11:1.6.3-7mdv2008.0
+ Revision: 83682
- Fix File list

* Sun Sep 09 2007 Nicolas Lécureuil <neoclust@mandriva.org> 11:1.6.3-6mdv2008.0
+ Revision: 82839
- Rebuild

* Tue Jul 31 2007 Helio Chissini de Castro <helio@mandriva.com> 11:1.6.3-5mdv2008.0
+ Revision: 56863
- Sec. fix xpdf-CVE-2007-3387
- Removed useless compile patches
- Small spec fixes

* Tue Jun 26 2007 Nicolas Lécureuil <neoclust@mandriva.org> 11:1.6.3-3mdv2008.0
+ Revision: 44559
- Fix Conflicts

* Tue Jun 26 2007 Nicolas Lécureuil <neoclust@mandriva.org> 11:1.6.3-2mdv2008.0
+ Revision: 44370
- Fix prog lib package that way we do not install all
   lib packages all the time ( this fix is dedicated to misc ;) )
- Clean spec file
  [FEATURE] Add keximdb as requires to have a better support of Acces format.
- Add back removed files

* Thu Jun 14 2007 Funda Wang <fundawang@mandriva.org> 11:1.6.3-1mdv2008.0
+ Revision: 39315
- Remove hardcode packager
- Fix file list
- Use qt3 macro

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Do not own %%_libdir/kde dir ( bug #31382)
    - Fix File list
    - New version 1.6.3
    - Remove old menu style
    - Add missing categories

* Wed May 16 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 11:1.6.2-3mdv2008.0
+ Revision: 27315
- Rebuild.
- Removed old changelog entries.


* Tue Feb 27 2007 Laurent Montel <lmontel@mandriva.com> 1.6.2-2mdv2007.1
+ Revision: 126361
- Increase it
- Fix spec file
- 1.6.2
- Fix description
  and add kplato as requires for koffice meta package
- Use %%name
- Fix recalc all variable
- Fix crash when we delete foot/endnote and try
  to change settings
  (bug found by JLoup)
- Compile with pqxx-devel
  Add requires on xdg-utils (need by kpresenter to disable screensaver into all environment)

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Add require (#26628)
    - Add Buildrequire (#26196)

* Thu Nov 30 2006 Laurent Montel <lmontel@mandriva.com> 11:1.6.1-1mdv2007.1
+ Revision: 89137
- 1.6.1

* Tue Nov 07 2006 Laurent Montel <lmontel@mandriva.com> 11:1.6.0-2mdv2007.1
+ Revision: 77087
- Move file in good package (bug found by Nicolas Chipaux)

* Wed Oct 18 2006 Laurent Montel <lmontel@mandriva.com> 11:1.6.0-1mdv2007.1
+ Revision: 65803
- Remove it
- 1.6.0
- Add packager tag
- koffice-1.6rc1

* Wed Sep 13 2006 Laurent Montel <lmontel@mandriva.com> 11:1.5.91-3mdv2007.0
+ Revision: 61090
- Fix mng mimetype error
- Fix krita_pdf mimetypes
- New package (2006-09-12 3mdv)
  Fix kchart mimetypes

* Mon Sep 11 2006 Laurent Montel <lmontel@mandriva.com> 11:1.5.91-2mdv2007.0
+ Revision: 60743
- New package (1.5.91-2mdv 2006/09/10)
  Rebuild for missing package...
  koffice doesn't compile with --enable-final

* Sun Sep 10 2006 Laurent Montel <lmontel@mandriva.com> 11:1.5.91-1mdv2007.0
+ Revision: 60702
- Fix file list
- Fix compile
- New package (2006-09-08 1.5.91-1mdv)
  1.6-beta1

* Wed Sep 06 2006 Laurent Montel <lmontel@mandriva.com> 11:1.5.90-4mdv2007.0
+ Revision: 59948
- New package (1.5.90-4mdv 2006-09-05)
  Rebuild against mysql
- Fix buildrequires
- Fix spec files

* Fri Aug 11 2006 Laurent Montel <lmontel@mandriva.com> 11:1.5.90-3mdv2007.0
+ Revision: 55439
- New package (2006/08/10 1.5.90-3mdv)
  Fix icon for kugardesigner
- New package (2006/08/09 1.5.90-2mdv)
  Obsolete krita-plugins package

* Fri Aug 04 2006 Laurent Montel <lmontel@mandriva.com> 11:1.5.90-1mdv2007.0
+ Revision: 43154
- Add sources
- New package (2006/08/03 1.5.90-1mdv)

* Wed Jul 26 2006 Laurent Montel <lmontel@mandriva.com> 11:1.5.2-3mdv2007.0
+ Revision: 42053
- Fix icons

* Mon Jul 24 2006 Laurent Montel <lmontel@mandriva.com> 11:1.5.2-2mdv2007.0
+ Revision: 41941
- Disable debug
- 1.5.2
- Now each apps requires a koffice-apps to avoid to install
  all koffice when we install a koffice-l10n
- Each program must requires koffice-l10n and not just metapackage
- Rebuild
- Requires just kghostview-lib
- Fix crash into kivio
  Use new macro for updating mimetype database
- Fix spec file (patch from noeclust)
- Fix file list
- Remove patch
- Need to rebuild for missing package...
- Add patch
- Add patch to compile kexi
- 1.5.1
- Rebuild with new xorg
- Rebuild to generate category
- Fix kplato menu entry section fix bug #21981
- Add source
- 1.5.0
- Add patch to build koffice with --enable-final
- 1.5.0-rc1
- Add requires
- Fix file list
- koffice-1.5-beta2
- Fix devel file (found by Thierry Vignaud)
- Fix buildrequires found by Christiaan Welvaart
- Fix build requires found by Christiaan Welvaart
- Fix spec file pb found by fundawang
- Fix conflict
  Fix spec file
- Fix buildrequires
- Disable debug
- Fix spec file
- koffice-1.5-beta1
- Enable debug for cooker
  MDK9.2 is obsolete now
- Use koffice-1.4.2 branch
- Rebuild
- Fix typo
  * Wed Nov 02 2005 Laurent MONTEL <lmontel@mandriva.com> 3.3.5-3mdk
- Rebuild with new mysql
  * Thu Oct 27 2005 Helio Chissini de Castro <helio@mandriva.com> 3.3.5-2mdk
- New immodule patch
- Upgrade release number
- Fix display kthesaurus icon
- Fix generate krita menu
- Forgot it
- 1.4.2
- Fix kthesaurus icons
  (TODO test it)
- Last sync
- Add diff
- Rebuild
- Fix requires
- Necessary to use --libsuffix
- Rebuild against imagemagick
- Fix bug #17764 Kthesaurus : missing Menu Entry
- Fix conflict avec kexi
- Rebuild
- Fix error into spec file found by Nicolas Chipaux
- Requires koffice-l10n
- 1.4.1
- Add all sources
- Update spec
- I hope that it's the last missing package
- Add missing other file
- Add missing file
- Add
- Add patch from SVN branch (big fix)
- Rebuild for x86_64
- Fix pb in requires (reported by Fred Lepied)
- Sync

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

  + Helio Chissini de Castro <helio@mandriva.com>
    - Uploading package ./koffice

* Sat Jun 25 2005 Laurent MONTEL <lmontel@mandriva.com> 1.4.0-3mdk
- Fix pb in requires (reported by Fred Lepied)

* Fri Jun 24 2005 Laurent MONTEL <lmontel@mandriva.com> 1.4.0-2mdk
- 1.4.0a

* Fri Jun 17 2005 Laurent MONTEL <lmontel@mandriva.com> 1.4.0-1mdk
- 1.4
- Fix error reported by Fred Lepied

* Thu Jun 02 2005 Laurent MONTEL <lmontel@mandriva.com> 1.4.0-0.rc1.1mdk
- rc1

* Sat May 14 2005 Laurent MONTEL <lmontel@mandriva.com> 1.4.0-0.beta1.4mdk
- Requires wordnet for kword (bug found by Titi)

* Thu May 05 2005 Laurent MONTEL <lmontel@mandriva.com> 1.4.0-0.beta1.3mdk
- Fix error reported by Jaros?aw Staniek <js@iidea.pl>

* Tue May 03 2005 Laurent MONTEL <lmontel@mandriva.com> 1.4.0-0.beta1.2mdk
- Add requires to libwpd-devel need by wordperfect filter

* Wed Apr 20 2005 Laurent MONTEL <lmontel@mandriva.com> 1.4.0-0.beta1.1mdk
- 1.4.0-beta1
- Fix to compile under kde 3.3

* Fri Mar 11 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.5-24mdk
- Add patch26: fix filter kde bug #98040

* Mon Feb 21 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.5-23mdk
- Add patch25: fix kspread kde bug #95553

* Fri Feb 11 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.5-22mdk
- Add patch23: fix kchart kde bug #98898
- Add patch24: fix kchart kde bug #72041

* Thu Feb 10 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.5-21mdk
- Disable debug

* Mon Feb 07 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.5-20mdk
- Sync with CVS (a lot of fix into gnumeric filter)

* Mon Jan 31 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.5-19mdk
- Fix BuildREquires

* Mon Jan 31 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.5-18mdk
- Add patch24: fix filter #97960

* Fri Jan 28 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.5-17mdk
- Fix generate menu entry

* Mon Jan 24 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.5-16mdk
- Add patch23: fix underline text

* Thu Jan 20 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.5-15mdk
- Add patch22: fix other xpdf overflow

* Thu Jan 20 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.5-14mdk
- Rebuild

* Wed Jan 19 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.5-13mdk
- Add patch20: fix kounitwidget
- Add patch21: fix xpdf overflow

* Tue Jan 18 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.5-12mdk
- Add patch19: fix koffice bug #96416

* Tue Jan 11 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.5-11mdk
- Add patch18: fix ooimpress export filter (export abstract)

* Mon Jan 03 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.5-10mdk
- Rebuild

* Tue Dec 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.5-9mdk
- Add patch17: fix kpresenter performance image

* Wed Dec 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.5-8mdk
- Add patch15: fix xpdf buffer overflow
- Add patch16: fix dcop interface

* Mon Dec 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.5-7mdk
- Add patch14: fix kodocument create dcop

* Fri Dec 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.5-6mdk
- Add patch13: fix use python2.4

* Fri Dec 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.5-5mdk
- Add patch12: fix kpresenter kde bug #94754

* Thu Dec 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.5-4mdk
- Add patch11: fix kovariable mem leak

* Wed Dec 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.5-3mdk
- Fix open document

* Mon Dec 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.5-2mdk
- Rebuild with new python

* Wed Nov 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.5-1mdk
- 1.3.5

* Mon Nov 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.4-4mdk
- Add requires on arts

* Mon Nov 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.4-3mdk
- Add patch10 fix pdf security fix

* Sun Oct 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.4-2mdk
- Update source (fix kpdf security fix)

* Thu Oct 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.4-1mdk
- 1.3.4

* Sat Sep 25 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.3-2mdk
- Fix conflict (upgrade from MDK 9.1)

* Wed Sep 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.3-1mdk
- New release 1.3.3

* Tue Sep 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.2-21mdk
- Update code from CVS

* Fri Sep 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.2-20mdk
- Fix generate kivio menu

* Thu Sep 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.2-19mdk
- Sync with CVS (fix bidi into kword/kpresenter)

* Sat Aug 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.2-18mdk
- Sync with CVS (fix kpresenter style)

* Fri Aug 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.2-17mdk
- Sync with cvs

* Tue Aug 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.2-16mdk
- Add debug

* Tue Aug 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.2-15mdk
- Sync with CVS (fix filter)

* Fri Aug 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.2-14mdk
- Fix generate menu entry

* Thu Aug 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.2-13mdk
- Fix requires

* Thu Aug 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.2-12mdk
- Fix spec file

* Wed Aug 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.2-11mdk
- Create a virtual package for koffice

* Wed Aug 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.2-10mdk
- Fix install

* Wed Aug 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.2-9mdk
- Split package

* Tue Aug 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.2-8mdk
- Clean spec file

* Sat Jul 31 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.2-7mdk
- Split package

* Sat Jul 31 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.2-6mdk
- Sync witj CVS

* Fri Jul 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.2-5mdk
- Fix spec file

* Sat Jul 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.2-3mdk
- Generate doc

* Fri Jul 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.2-2mdk
- Rebuild with new ImageMagik lib
- 1.3.2 see changelog into http://www.koffice.org/announcements/changelog-1.3.2.php

* Fri Jul 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.2-1mdk
- 1.3.2

* Fri Jun 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.1-3mdk
- Rebuild

* Tue May 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.1-2mdk
- Fix srpms

* Wed May 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.1-1mdk
- 1.3.1

* Fri Apr 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-14mdk
- Fix BuildRequires

* Wed Mar 31 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-13mdk
- Use %%configure
- Use mdkversion
- Add support for mdk 10.1
- Add "use_python" variable

* Fri Mar 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-11mdk
- Don't install koffice when we install koffice-devel

